
ASSOCIATE(CORR=>A_CORR( RC_E_LP )%TERMS) 



    CORR(0,ASYMP_TYPE_1) = 5.E-1_DP*(1.E+0_DP-1.E+0_DP*b)
    CORR(1,ASYMP_TYPE_1) = (1.E+0_DP*(1.E+0_DP*((-1.E&
        &+0_DP*a)-1.E+0_DP)*b+a+1.E+0_DP))/(2.E+0_DP*s-2.E+0_DP)
    CORR(2,ASYMP_TYPE_1) = 5.E-1_DP*(1.E+0_DP*(1.E+0_DP&
        &*a*b-1.E+0_DP*a)*s-1.E+0_DP*a*b+a)

    CORR(0,ASYMP_TYPE_2) = 2.5E-1_DP*(1.E+0_DP*b&
        &*((-1.E+0_DP*b)-2.E+0_DP)+3.E+0_DP)
    CORR(1,ASYMP_TYPE_2) = (1.E+0_DP*(1.E+0_DP*s*(1.E&
        &+0_DP*(1.E+0_DP*(a+1.E+0_DP)*b-1.E+0_DP*a-1.E+0_DP)*s+1.E&
        &+0_DP*((-2.E+0_DP*a)-2.E+0_DP)*b+2.E+0_DP*a+2.E+0_DP)*z**2+1.E+0_DP&
        &*b*(1.E+0_DP*((-2.E+0_DP*a)-2.E+0_DP)*b+1.E+0_DP*a*(2.E+0_DP&
        &*a+6.E+0_DP)-4.E+0_DP)+1.E+0_DP*a*((-2.E+0_DP*a)-4.E&
        &+0_DP)+6.E+0_DP))/(8.E+0_DP*s-8.E+0_DP)
    CORR(2,ASYMP_TYPE_2) = 2.5E-1_DP*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*(a-1.E+0_DP*a*b)*s+3.E+0_DP*a*b-3.E+0_DP*a)-2.E&
        &+0_DP*a*b+2.E+0_DP*a)*z**2+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a&
        &*b+1.E+0_DP*a*((-1.E+0_DP*a)-3.E+0_DP))+1.E+0_DP*a*(a+2.E&
        &+0_DP))*s+1.E+0_DP*b*(1.E+0_DP*a*(a+3.E+0_DP)-1.E+0_DP*a*b)+1.E&
        &+0_DP*a*((-1.E+0_DP*a)-2.E+0_DP))

    CORR(0,ASYMP_TYPE_3) = 1.25E-1_DP*(1.E+0_DP*(1.E+0_DP&
        &*s*(1.E+0_DP*b*((-2.E+0_DP*b)-2.E+0_DP)*s+1.E+0_DP*b*(4.E+0_DP&
        &*b+4.E+0_DP))+1.E+0_DP*b*((-2.E+0_DP*b)-2.E+0_DP))*z**2+1.E&
        &+0_DP*b*(1.E+0_DP*b*((-1.E+0_DP&
        &*b)-5.E+0_DP)-1.1000000000000001E+1_DP)+1.6999999999999998E+1_DP)
    CORR(1,ASYMP_TYPE_3) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*s**2*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*((-1.E+0_DP*a)-1.E&
        &+0_DP)*b+a+1.E+0_DP)*s+1.E+0_DP*(4.E+0_DP*a+4.E+0_DP)&
        &*b-4.E+0_DP*a-4.E+0_DP)+1.E+0_DP*((-4.E+0_DP*a)-4.E+0_DP)*b+4.E+0_DP&
        &*a+4.E+0_DP)*z**2+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b&
        &*(1.E+0_DP*((-1.2E+1_DP*a)-1.2E+1_DP)*b+1.E+0_DP*a*((-4.E+0_DP&
        &*a)-8.E+0_DP)+1.2E+1_DP)+1.E+0_DP*a*(4.E+0_DP*a-1.2E+1_DP)-3.2E+1_DP)&
        &*s+1.E+0_DP*b*(1.E+0_DP*(2.4E+1_DP*a+2.4E+1_DP)*b+1.E+0_DP&
        &*a*(8.E+0_DP*a+1.6E+1_DP)-2.4E+1_DP)+1.E+0_DP*a*(2.4E&
        &+1_DP-8.E+0_DP*a)+6.4E+1_DP)+1.E+0_DP*b*(1.E+0_DP*((-1.6E&
        &+1_DP*a)-1.6E+1_DP)*b+1.E+0_DP*a*((-1.6E+1_DP*a)-3.2E+1_DP)-1.6E&
        &+1_DP)+1.E+0_DP*a*(1.6E+1_DP*a+1.6E+1_DP))+1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*((-8.E+0_DP*a)-8.E+0_DP)*b+8.E+0_DP*a**2-4.E&
        &+1_DP)+1.E+0_DP*a*(1.6E+1_DP-8.E+0_DP*a**2)-8.800000000000001E&
        &+1_DP)+1.E+0_DP*a*(1.E+0_DP*a*(8.E+0_DP*a-8.E&
        &+0_DP)-8.E+0_DP)+1.3599999999999998E+2_DP))/(6.4E+1_DP*s-6.4E+1_DP)
    CORR(2,ASYMP_TYPE_3) = 6.25E-2_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*s**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*a&
        &*b-1.E+0_DP*a)*s-5.E+0_DP*a*b+5.E+0_DP*a)+8.E+0_DP*a*b-8.E&
        &+0_DP*a)-4.E+0_DP*a*b+4.E+0_DP*a)*z**2+1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*(1.E+0_DP*b*(2.E+0_DP*a*b+1.E+0_DP*a*(2.E+0_DP*a+4.E&
        &+0_DP))+1.E+0_DP*a*(2.E+0_DP-2.E+0_DP*a))*s+1.E+0_DP*b*(1.E&
        &+0_DP*a*((-6.E+0_DP*a)-1.2E+1_DP)-6.E+0_DP*a*b)+1.E+0_DP*a&
        &*(6.E+0_DP*a-6.E+0_DP))+1.E+0_DP*b*(8.E+0_DP*a*b+1.E+0_DP*a*(8.E&
        &+0_DP*a+1.6E+1_DP))-8.E+0_DP*a**2)+1.E+0_DP*b*(1.E+0_DP*a&
        &*((-4.E+0_DP*a)-8.E+0_DP)-4.E+0_DP*a*b)+1.E+0_DP*a*(4.E+0_DP*a&
        &+4.E+0_DP))+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(2.E+0_DP*a*b-2.E+0_DP&
        &*a**2)+1.E+0_DP*a*(2.E+0_DP*a**2-4.E+0_DP))+1.E+0_DP*a&
        &*(1.E+0_DP*a*(2.E+0_DP-2.E+0_DP*a)+2.E+0_DP))*s+1.E+0_DP*b*(1.E&
        &+0_DP*b*(2.E+0_DP*a**2-2.E+0_DP*a*b)+1.E+0_DP*a*(4.E&
        &+0_DP-2.E+0_DP*a**2))+1.E+0_DP*a*(1.E+0_DP*a*(2.E+0_DP*a-2.E+0_DP)-2.E&
        &+0_DP))
    A_CORR( RC_E_LP )%ASYMP_TYPE=MIN( A_CORR( RC_E_LP )%ASYMP_TYPE,  ASYMP_TYPE_1 )

END ASSOCIATE 

ASSOCIATE(CORR=>A_CORR( RC_E_LR )%TERMS) 


    CORR(0,ASYMP_TYPE_0) = 5.E-1_DP*(b-1.E+0_DP)
    CORR(1,ASYMP_TYPE_0) = (1.E+0_DP*(1.E+0_DP&
        &*(1.E+0_DP-1.E+0_DP*a)*b+a-1.E+0_DP))/(2.E+0_DP*s-2.E+0_DP)
    CORR(2,ASYMP_TYPE_0) = 5.E-1_DP*(1.E+0_DP*(1.E+0_DP&
        &*a*b-1.E+0_DP*a)*s-1.E+0_DP*a*b+a)

    CORR(0,ASYMP_TYPE_1) = 2.5E-1_DP*(1.E+0_DP*b*(b+2.E+0_DP)-3.E&
        &+0_DP)
    CORR(1,ASYMP_TYPE_1) = (1.E+0_DP*(1.E+0_DP*s*(1.E&
        &+0_DP*(1.E+0_DP*(a-1.E+0_DP)*b-1.E+0_DP*a+1.E+0_DP)*s+1.E&
        &+0_DP*(2.E+0_DP-2.E+0_DP*a)*b+2.E+0_DP*a-2.E+0_DP)*z**2+1.E+0_DP&
        &*b*(1.E+0_DP*(2.E+0_DP-2.E+0_DP*a)*b+1.E+0_DP*a*(2.E+0_DP*a&
        &+1.E+1_DP)+4.E+0_DP)+1.E+0_DP*a*((-2.E+0_DP&
        &*a)-8.E+0_DP)-6.E+0_DP))/(8.E+0_DP*s-8.E+0_DP)
    CORR(2,ASYMP_TYPE_1) = 2.5E-1_DP*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*(a-1.E+0_DP*a*b)*s+3.E+0_DP*a*b-3.E+0_DP*a)-2.E&
        &+0_DP*a*b+2.E+0_DP*a)*z**2+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a&
        &*b+1.E+0_DP*a*((-1.E+0_DP*a)-5.E+0_DP))+1.E+0_DP*a*(a+4.E&
        &+0_DP))*s+1.E+0_DP*b*(1.E+0_DP*a*(a+5.E+0_DP)-1.E+0_DP*a*b)+1.E&
        &+0_DP*a*((-1.E+0_DP*a)-4.E+0_DP))

    CORR(0,ASYMP_TYPE_2) = 1.25E-1_DP*(1.E+0_DP*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*b*(2.E+0_DP*b+4.E+0_DP)-2.E+0_DP)*s&
        &+1.E+0_DP*b*((-4.E+0_DP*b)-8.E+0_DP)+4.E+0_DP)+1.E+0_DP*b*(2.E&
        &+0_DP*b+4.E+0_DP)-2.E+0_DP)*z**2+1.E+0_DP*b*(1.E+0_DP*b&
        &*(b+3.E+0_DP)+7.E+0_DP)-1.1000000000000001E+1_DP)
    CORR(1,ASYMP_TYPE_2) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*s**2*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*(1.E+0_DP-1.E+0_DP&
        &*a)*b+a-1.E+0_DP)*s+1.E+0_DP*(4.E+0_DP*a-4.E+0_DP)*b-4.E+0_DP&
        &*a+4.E+0_DP)+1.E+0_DP*(4.E+0_DP-4.E+0_DP*a)*b+4.E+0_DP&
        &*a-4.E+0_DP)*z**2+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E&
        &+0_DP*(1.2E+1_DP-1.2E+1_DP*a)*b+1.E+0_DP*a*((-4.E+0_DP&
        &*a)-2.4E+1_DP)-4.E+0_DP)+1.E+0_DP*a*(4.E+0_DP*a+4.E+0_DP)+2.4E+1_DP)*s+1.E&
        &+0_DP*b*(1.E+0_DP*(2.4E+1_DP*a-2.4E+1_DP)*b+1.E+0_DP*a*(8.E&
        &+0_DP*a+4.8E+1_DP)+8.E+0_DP)+1.E+0_DP*a*((-8.E+0_DP&
        &*a)-8.E+0_DP)-4.8E+1_DP)+1.E+0_DP*b*(1.E+0_DP*(1.6E+1_DP-1.6E+1_DP*a)&
        &*b+1.E+0_DP*a*((-1.6E+1_DP*a)-4.8E+1_DP)+3.2E+1_DP)+1.E+0_DP&
        &*a*(1.6E+1_DP*a+3.2E+1_DP)-1.6E+1_DP)+1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*(8.E+0_DP-8.E+0_DP*a)*b+1.E+0_DP*a*(8.E+0_DP*a&
        &+3.2E+1_DP)+2.4E+1_DP)+1.E+0_DP*a*(1.E+0_DP*a*((-8.E&
        &+0_DP*a)-3.2E+1_DP)-8.E+1_DP)+5.599999999999999E+1_DP)+1.E+0_DP*a*(1.E&
        &+0_DP*a*(8.E+0_DP*a+2.4E&
        &+1_DP)+5.599999999999999E+1_DP)-8.800000000000001E+1_DP))/(6.4E+1_DP*s-6.4E+1_DP)
    CORR(2,ASYMP_TYPE_2) = 6.25E-2_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*s**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*a&
        &*b-1.E+0_DP*a)*s-5.E+0_DP*a*b+5.E+0_DP*a)+8.E+0_DP*a*b-8.E&
        &+0_DP*a)-4.E+0_DP*a*b+4.E+0_DP*a)*z**2+1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*(1.E+0_DP*b*(2.E+0_DP*a*b+1.E+0_DP*a*(2.E+0_DP*a&
        &+1.6E+1_DP))+1.E+0_DP*a*((-2.E+0_DP*a)-1.E+1_DP))*s+1.E+0_DP*b*(1.E&
        &+0_DP*a*((-6.E+0_DP*a)-4.8E+1_DP)-6.E+0_DP*a*b)+1.E+0_DP*a&
        &*(6.E+0_DP*a+3.E+1_DP))+1.E+0_DP*b*(8.E+0_DP*a*b+1.E+0_DP*a&
        &*(8.E+0_DP*a+4.4000000000000006E+1_DP))+1.E+0_DP*a&
        &*((-8.E+0_DP*a)-2.7999999999999997E+1_DP))+1.E+0_DP*b*(1.E+0_DP*a&
        &*((-4.E+0_DP*a)-1.2E+1_DP)-4.E+0_DP*a*b)+1.E+0_DP*a*(4.E+0_DP*a+8.E&
        &+0_DP))+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(2.E+0_DP*a*b+1.E+0_DP&
        &*a*((-2.E+0_DP*a)-8.E+0_DP))+1.E+0_DP*a*(1.E+0_DP*a*(2.E+0_DP&
        &*a+8.E+0_DP)+2.E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-2.E&
        &+0_DP*a)-6.E+0_DP)-1.3999999999999999E+1_DP))*s+1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*a*(2.E+0_DP*a+8.E+0_DP)-2.E+0_DP*a*b)+1.E+0_DP&
        &*a*(1.E+0_DP*a*((-2.E+0_DP*a)-8.E+0_DP)-2.E+1_DP))+1.E+0_DP&
        &*a*(1.E+0_DP*a*(2.E+0_DP*a+6.E+0_DP)+1.3999999999999999E+1_DP))

    CORR(0,ASYMP_TYPE_3) = 6.25E-2_DP*(1.E+0_DP*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(4.E+0_DP*b+1.8E&
        &+1_DP)+3.6E+1_DP)-3.8E+1_DP)*s+1.E+0_DP*b*(1.E+0_DP*b*((-8.E&
        &+0_DP*b)-3.6E+1_DP)-7.2E+1_DP)+7.6E+1_DP)+1.E+0_DP*b*(1.E+0_DP*b&
        &*(4.E+0_DP*b+1.8E+1_DP)+3.6E+1_DP)-3.8E+1_DP)*z**2+1.E+0_DP&
        &*b*(1.E+0_DP*b*(1.E+0_DP*b*(b+6.E+0_DP)+1.6E&
        &+1_DP)+4.2000000000000004E+1_DP)-6.5E+1_DP)
    CORR(1,ASYMP_TYPE_3) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*z**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP&
        &*(1.E+0_DP*(1.E+0_DP-1.E+0_DP*a)*b+a-1.E+0_DP)*s+1.E+0_DP*(4.E&
        &+0_DP*a-4.E+0_DP)*b-4.E+0_DP*a+4.E+0_DP)+1.E+0_DP*(5.E&
        &+0_DP-5.E+0_DP*a)*b+5.E+0_DP*a-5.E+0_DP)+1.E+0_DP*(2.E+0_DP&
        &*a-2.E+0_DP)*b-2.E+0_DP*a+2.E+0_DP)*z**2+1.E+0_DP*s*(1.E+0_DP*s*(1.E&
        &+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP&
        &*(1.3999999999999999E+1_DP*a-1.3999999999999999E+1_DP)*b+1.E+0_DP*a*(2.E&
        &+0_DP*a+1.3999999999999999E+1_DP))+1.E+0_DP*a*(4.E+0_DP-2.E+0_DP*a)-1.8E&
        &+1_DP)*s+1.E+0_DP*b*(1.E&
        &+0_DP*(5.599999999999999E+1_DP-5.599999999999999E+1_DP*a)*b+1.E+0_DP*a*((-8.E&
        &+0_DP*a)-5.599999999999999E+1_DP))+1.E+0_DP*a*(8.E+0_DP*a-1.6E+1_DP)+7.2E+1_DP)+1.E&
        &+0_DP*b*(1.E+0_DP*(7.2E+1_DP*a-7.2E+1_DP)*b+1.E+0_DP*a*(2.4E&
        &+1_DP*a+1.1199999999999999E+2_DP)-4.E+1_DP)+1.E+0_DP*a&
        &*((-2.4E+1_DP*a)-2.4E+1_DP)-4.8E+1_DP)+1.E+0_DP*b*(1.E+0_DP&
        &*(3.2E+1_DP-3.2E+1_DP*a)*b+1.E+0_DP*a*((-3.2E&
        &+1_DP*a)-1.1199999999999999E+2_DP)+8.E+1_DP)+1.E+0_DP*a*(3.2E+1_DP*a+8.E&
        &+1_DP)-4.8E+1_DP))+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b&
        &*(1.E+0_DP*(5.599999999999999E+1_DP-5.599999999999999E+1_DP*a)*b+1.E&
        &+0_DP*a*(2.4E+1_DP*a-2.4E+1_DP)+1.92E+2_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(8.E+0_DP*a+2.4E+1_DP)+1.28E+2_DP)-1.6E+2_DP)+1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.6E+1_DP-8.E+0_DP*a)+8.E&
        &+1_DP)+2.3199999999999998E+2_DP)*s+1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*(1.1199999999999999E+2_DP*a-1.1199999999999999E+2_DP)*b+1.E+0_DP*a&
        &*(4.8E+1_DP-4.8E+1_DP*a)-3.84E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a&
        &*((-1.6E+1_DP*a)-4.8E+1_DP)-2.56E+2_DP)+3.2E+2_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.6E+1_DP*a-3.2E+1_DP)-1.6E+2_DP)-4.6399999999999997E&
        &+2_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(6.4E+1_DP-6.4E+1_DP&
        &*a)*b-9.6E+1_DP*a+2.8800000000000003E+2_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(6.4E+1_DP*a+1.6E+2_DP)+4.8E+2_DP)+5.760000000000001E&
        &+2_DP)+1.E+0_DP*a*(1.E+0_DP*a*((-6.4E+1_DP*a)-9.6E&
        &+1_DP)-1.92E+2_DP)-6.08E+2_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*(1.6E+1_DP-1.6E+1_DP*a)*b+1.E+0_DP*a*(1.6E+1_DP*a+1.6E&
        &+1_DP)+9.6E+1_DP)+1.E+0_DP*a*(1.E+0_DP*a*((-1.6E+1_DP*a)-1.6E&
        &+1_DP)+3.2E+1_DP)+2.56E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.6E+1_DP*a+1.6E+1_DP)-3.2E+1_DP)-3.2E+1_DP)+6.72E+2_DP)&
        &+1.E+0_DP*a**2*(3.2E+1_DP-1.6E+1_DP*a&
        &**2)-1.0400000000000001E+3_DP))/(2.56E+2_DP*s-2.56E+2_DP)
    CORR(2,ASYMP_TYPE_3) = 7.8125E-3_DP*(1.E+0_DP*z**2&
        &*(1.E+0_DP*z**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(a-1.E+0_DP*a*b)*s+7.E&
        &+0_DP*a*b-7.E+0_DP*a)-1.6999999999999998E+1_DP*a&
        &*b+1.6999999999999998E+1_DP*a)+1.5E+1_DP*a*b-1.5E+1_DP*a)+1.E+0_DP*a*b-1.E&
        &+0_DP*a)-7.E+0_DP*a*b+7.E+0_DP*a)+2.E+0_DP*a*b-2.E+0_DP*a)*z**2&
        &+1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E&
        &+0_DP*b*(1.E+0_DP*a*((-4.E+0_DP*a)-4.E+1_DP)-1.2E+1_DP*a*b)&
        &+1.E+0_DP*a*(4.E+0_DP*a+2.E+1_DP))*s+1.E+0_DP*b*(6.E+1_DP*a&
        &*b+1.E+0_DP*a*(2.E+1_DP*a+2.E+2_DP))+1.E+0_DP*a*((-2.E&
        &+1_DP*a)-1.E+2_DP))+1.E+0_DP*b*(1.E+0_DP*a*((-4.8E&
        &+1_DP*a)-3.76E+2_DP)-1.1199999999999999E+2_DP*a*b)+1.E+0_DP*a*(4.8E+1_DP*a&
        &+2.E+2_DP))+1.E+0_DP*b*(9.6E+1_DP*a*b+1.E+0_DP*a*(6.4E&
        &+1_DP*a+3.2799999999999996E+2_DP))+1.E+0_DP*a*((-6.4E+1_DP*a)-2.E+2_DP))&
        &+1.E+0_DP*b*(1.E+0_DP*a*((-3.2E+1_DP&
        &*a)-1.1199999999999999E+2_DP)-3.2E+1_DP*a*b)+1.E+0_DP*a*(3.2E+1_DP*a+8.E+1_DP)))+1.E&
        &+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(2.4E+1_DP&
        &*a*b+1.E+0_DP*a*(4.E+1_DP-8.E+0_DP*a))+1.E+0_DP*a*(1.E&
        &+0_DP*a*((-8.E+0_DP*a)-4.E+1_DP)-2.4E+2_DP))+1.E+0_DP*a*(1.E+0_DP&
        &*a*(8.E+0_DP*a+1.6E+1_DP)+1.1199999999999999E+2_DP))*s+1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*a*(2.4E+1_DP*a-1.2E+2_DP)-7.2E+1_DP&
        &*a*b)+1.E+0_DP*a*(1.E+0_DP*a*(2.4E+1_DP*a+1.2E+2_DP)&
        &+7.2E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-2.4E+1_DP&
        &*a)-4.8E+1_DP)-3.36E+2_DP))+1.E+0_DP*b*(1.E+0_DP*b*(8.E+1_DP*a*b+1.E+0_DP&
        &*a*(1.28E+2_DP-1.6E+1_DP*a))+1.E+0_DP*a*(1.E+0_DP*a*((-4.8E&
        &+1_DP*a)-1.6E+2_DP)-7.2E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*(4.8E+1_DP&
        &*a+8.E+1_DP)+3.2E+2_DP))+1.E+0_DP*b*(1.E+0_DP*b*((-3.2E+1_DP&
        &*a*b)-4.8E+1_DP*a)+1.E+0_DP*a*(1.E+0_DP*a*(3.2E+1_DP*a+8.E&
        &+1_DP)+2.4E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-3.2E&
        &+1_DP*a)-4.8E+1_DP)-9.6E+1_DP))+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*b*(8.E+0_DP*a*b+1.E+0_DP*a*((-8.E+0_DP*a)-8.E+0_DP))+1.E+0_DP&
        &*a*(1.E+0_DP*a*(8.E+0_DP*a+8.E+0_DP)-1.6E+1_DP))+1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.E+0_DP*a*((-8.E+0_DP*a)-8.E+0_DP)+1.6E&
        &+1_DP)+1.6E+1_DP))+1.E+0_DP*a**2*(8.E+0_DP*a**2-1.6E+1_DP))*s+1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*a*(8.E+0_DP*a&
        &+8.E+0_DP)-8.E+0_DP*a*b)+1.E+0_DP*a*(1.E+0_DP*a*((-8.E+0_DP&
        &*a)-8.E+0_DP)+1.6E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(8.E&
        &+0_DP*a+8.E+0_DP)-1.6E+1_DP)-1.6E+1_DP))+1.E+0_DP*a**2&
        &*(1.6E+1_DP-8.E+0_DP*a**2))
    A_CORR( RC_E_LR )%ASYMP_TYPE=MIN( A_CORR( RC_E_LR )%ASYMP_TYPE,  ASYMP_TYPE_0 )

END ASSOCIATE 

ASSOCIATE(CORR=>A_CORR( RC_E_LT )%TERMS) 





    CORR(0,ASYMP_TYPE_3) = 5.E-1_DP*r**2*(1.E+0_DP&
        &*s*(2.E+0_DP-1.E+0_DP*s)-1.E+0_DP)
    CORR(1,ASYMP_TYPE_3) = 5.E-1_DP*r**2
    A_CORR( RC_E_LT )%ASYMP_TYPE=MIN( A_CORR( RC_E_LT )%ASYMP_TYPE,  ASYMP_TYPE_3 )

END ASSOCIATE 

ASSOCIATE(CORR=>A_CORR( RC_E_RL )%TERMS) 


    CORR(0,ASYMP_TYPE_0) = 5.E-1_DP*(b+1.E+0_DP)
    CORR(1,ASYMP_TYPE_0) = (1.E+0_DP*(1.E+0_DP*(a+1.E+0_DP)&
        &*b+a+1.E+0_DP))/(2.E+0_DP*s-2.E+0_DP)
    CORR(2,ASYMP_TYPE_0) = 5.E-1_DP*(1.E+0_DP*((-1.E&
        &+0_DP*a*b)-1.E+0_DP*a)*s+1.E+0_DP*a*b+a)

    CORR(0,ASYMP_TYPE_1) = 2.5E-1_DP*(1.E+0_DP*b*(b+2.E+0_DP)+1.E&
        &+0_DP)
    CORR(1,ASYMP_TYPE_1) = (1.E+0_DP*(1.E+0_DP*s*(1.E&
        &+0_DP*(1.E+0_DP*((-1.E+0_DP*a)-1.E+0_DP)*b-1.E+0_DP*a-1.E+0_DP)&
        &*s+1.E+0_DP*(2.E+0_DP*a+2.E+0_DP)*b+2.E+0_DP*a+2.E+0_DP)*z*&
        &*2+1.E+0_DP*b*(1.E+0_DP*(2.E+0_DP*a+2.E+0_DP)*b+1.E+0_DP&
        &*a*((-2.E+0_DP*a)-6.E+0_DP)+4.E+0_DP)+1.E+0_DP*a*((-2.E+0_DP&
        &*a)-8.E+0_DP)+2.E+0_DP))/(8.E+0_DP*s-8.E+0_DP)
    CORR(2,ASYMP_TYPE_1) = 2.5E-1_DP*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*a*b+a)*s-3.E+0_DP*a*b-3.E+0_DP*a)+2.E&
        &+0_DP*a*b+2.E+0_DP*a)*z**2+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a&
        &*(a+3.E+0_DP)-1.E+0_DP*a*b)+1.E+0_DP*a*(a+4.E+0_DP))*s+1.E&
        &+0_DP*b*(1.E+0_DP*a*b+1.E+0_DP*a*((-1.E+0_DP*a)-3.E+0_DP))+1.E&
        &+0_DP*a*((-1.E+0_DP*a)-4.E+0_DP))

    CORR(0,ASYMP_TYPE_2) = 1.25E-1_DP*(1.E+0_DP*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*b*(2.E+0_DP*b+4.E+0_DP)+2.E+0_DP)*s&
        &+1.E+0_DP*b*((-4.E+0_DP*b)-8.E+0_DP)-4.E+0_DP)+1.E+0_DP*b*(2.E&
        &+0_DP*b+4.E+0_DP)+2.E+0_DP)*z**2+1.E+0_DP*b*(1.E+0_DP*b&
        &*(b+3.E+0_DP)+7.E+0_DP)+5.E+0_DP)
    CORR(1,ASYMP_TYPE_2) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*s**2*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*(a+1.E+0_DP)*b+a&
        &+1.E+0_DP)*s+1.E+0_DP*((-4.E+0_DP*a)-4.E+0_DP)*b-4.E+0_DP&
        &*a-4.E+0_DP)+1.E+0_DP*(4.E+0_DP*a+4.E+0_DP)*b+4.E+0_DP*a+4.E+0_DP)*z&
        &**2+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*(1.2E+1_DP&
        &*a+1.2E+1_DP)*b+1.E+0_DP*a*(4.E+0_DP*a+3.2E+1_DP)+1.2E&
        &+1_DP)+1.E+0_DP*a*(4.E+0_DP*a+2.E+1_DP))*s+1.E+0_DP*b*(1.E&
        &+0_DP*((-2.4E+1_DP*a)-2.4E+1_DP)*b+1.E+0_DP*a*((-8.E+0_DP&
        &*a)-6.4E+1_DP)-2.4E+1_DP)+1.E+0_DP*a*((-8.E+0_DP*a)-4.E+1_DP))+1.E+0_DP&
        &*b*(1.E+0_DP*(1.6E+1_DP*a+1.6E+1_DP)*b+1.E+0_DP*a*(1.6E+1_DP&
        &*a+4.8E+1_DP)+3.2E+1_DP)+1.E+0_DP*a*(1.6E+1_DP*a+3.2E&
        &+1_DP)+1.6E+1_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(8.E+0_DP*a+8.E&
        &+0_DP)*b+1.E+0_DP*a*((-8.E+0_DP*a)-1.6E+1_DP)+2.4E+1_DP)+1.E&
        &+0_DP*a*(1.E+0_DP*a*(8.E+0_DP*a+1.6E+1_DP)&
        &+3.2E+1_DP)+5.599999999999999E+1_DP)+1.E+0_DP*a*(1.E+0_DP*a*(8.E+0_DP*a&
        &+2.4E+1_DP)+5.599999999999999E+1_DP)+4.E+1_DP))/(6.4E+1_DP*s-6.4E+1_DP)
    CORR(2,ASYMP_TYPE_2) = 6.25E-2_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*s**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*((-1.E+0_DP&
        &*a*b)-1.E+0_DP*a)*s+5.E+0_DP*a*b+5.E+0_DP*a)-8.E+0_DP*a*b-8.E+0_DP&
        &*a)+4.E+0_DP*a*b+4.E+0_DP*a)*z**2+1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a*((-2.E+0_DP*a)-1.2E+1_DP)-2.E&
        &+0_DP*a*b)+1.E+0_DP*a*((-2.E+0_DP*a)-1.E+1_DP))*s+1.E+0_DP&
        &*b*(6.E+0_DP*a*b+1.E+0_DP*a*(6.E+0_DP*a+3.6E+1_DP))+1.E+0_DP&
        &*a*(6.E+0_DP*a+3.E+1_DP))+1.E+0_DP*b*(1.E+0_DP*a*((-8.E&
        &+0_DP*a)-3.6E+1_DP)-8.E+0_DP*a*b)+1.E+0_DP*a&
        &*((-8.E+0_DP*a)-2.7999999999999997E+1_DP))+1.E+0_DP*b*(4.E+0_DP*a*b+1.E+0_DP*a*(4.E&
        &+0_DP*a+1.2E+1_DP))+1.E+0_DP*a*(4.E+0_DP*a+8.E+0_DP))+1.E&
        &+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*a*(2.E+0_DP*a&
        &+4.E+0_DP)-2.E+0_DP*a*b)+1.E+0_DP*a*(1.E+0_DP*a*((-2.E+0_DP&
        &*a)-4.E+0_DP)-8.E+0_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-2.E&
        &+0_DP*a)-6.E+0_DP)-1.3999999999999999E+1_DP))*s+1.E+0_DP*b*(1.E+0_DP*b*(2.E+0_DP&
        &*a*b+1.E+0_DP*a*((-2.E+0_DP*a)-4.E+0_DP))+1.E+0_DP*a*(1.E&
        &+0_DP*a*(2.E+0_DP*a+4.E+0_DP)+8.E+0_DP))+1.E+0_DP*a*(1.E+0_DP&
        &*a*(2.E+0_DP*a+6.E+0_DP)+1.3999999999999999E+1_DP))

    CORR(0,ASYMP_TYPE_3) = 6.25E-2_DP*(1.E+0_DP*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(4.E+0_DP*b&
        &+1.8E+1_DP)+2.7999999999999997E+1_DP)+1.3999999999999999E+1_DP)*s+1.E+0_DP&
        &*b*(1.E+0_DP*b*((-8.E+0_DP&
        &*b)-3.6E+1_DP)-5.599999999999999E+1_DP)-2.7999999999999997E+1_DP)+1.E+0_DP*b*(1.E+0_DP*b*(4.E&
        &+0_DP*b+1.8E+1_DP)+2.7999999999999997E+1_DP)+1.3999999999999999E+1_DP)&
        &*z**2+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(b+6.E&
        &+0_DP)+1.6E+1_DP)+4.2000000000000004E+1_DP)+3.1E+1_DP)
    CORR(1,ASYMP_TYPE_3) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*z**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E&
        &+0_DP*(a+1.E+0_DP)*b+a+1.E+0_DP)*s+1.E+0_DP*((-4.E+0_DP&
        &*a)-4.E+0_DP)*b-4.E+0_DP*a-4.E+0_DP)+1.E+0_DP*(5.E+0_DP*a+5.E+0_DP)&
        &*b+5.E+0_DP*a+5.E+0_DP)+1.E+0_DP*((-2.E+0_DP*a)-2.E&
        &+0_DP)*b-2.E+0_DP*a-2.E+0_DP)*z**2+1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP&
        &*((-1.3999999999999999E+1_DP*a)-1.3999999999999999E+1_DP)*b+1.E+0_DP*a*((-2.E&
        &+0_DP*a)-2.6E+1_DP)-1.6E+1_DP)+1.E+0_DP*a*((-2.E+0_DP*a)-1.2E+1_DP)-2.E&
        &+0_DP)*s+1.E+0_DP*b*(1.E+0_DP*(5.599999999999999E&
        &+1_DP*a+5.599999999999999E+1_DP)*b+1.E+0_DP*a*(8.E+0_DP&
        &*a+1.0400000000000001E+2_DP)+6.4E+1_DP)+1.E+0_DP*a*(8.E+0_DP*a+4.8E+1_DP)+8.E&
        &+0_DP)+1.E+0_DP*b*(1.E+0_DP*((-7.2E+1_DP*a)-7.2E+1_DP)*b+1.E&
        &+0_DP*a*((-2.4E+1_DP*a)-1.6E+2_DP)-1.0400000000000001E+2_DP)+1.E&
        &+0_DP*a*((-2.4E+1_DP*a)-8.800000000000001E+1_DP)-3.2E+1_DP)&
        &+1.E+0_DP*b*(1.E+0_DP*(3.2E+1_DP*a+3.2E+1_DP)*b+1.E+0_DP*a&
        &*(3.2E+1_DP*a+1.1199999999999999E+2_DP)+8.E+1_DP)+1.E+0_DP*a&
        &*(3.2E+1_DP*a+8.E+1_DP)+4.8E+1_DP))+1.E+0_DP*s*(1.E+0_DP*(1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(5.599999999999999E&
        &+1_DP*a+5.599999999999999E+1_DP)*b+1.E+0_DP*a*(1.0400000000000001E+2_DP-2.4E&
        &+1_DP*a)+2.2399999999999998E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a&
        &*((-8.E+0_DP*a)-4.E+1_DP)+3.2E+1_DP)+1.28E+2_DP)+1.E+0_DP*a*(1.E&
        &+0_DP*a*((-8.E+0_DP*a)-1.6E+1_DP)-1.6E+1_DP)-4.E+1_DP)*s+1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*((-1.1199999999999999E+2_DP*a)-1.1199999999999999E+2_DP)*b+1.E+0_DP*a*(4.8E&
        &+1_DP*a-2.0800000000000002E+2_DP)-4.4799999999999995E+2_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.6E+1_DP*a+8.E+1_DP)-6.4E+1_DP)-2.56E+2_DP)+1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.6E+1_DP*a+3.2E+1_DP)+3.2E+1_DP)+8.E+1_DP)+1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(6.4E+1_DP*a+6.4E+1_DP)*b+1.6E&
        &+2_DP*a+2.8800000000000003E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a&
        &*((-6.4E+1_DP*a)-9.6E+1_DP)+3.2E+1_DP)+4.4799999999999995E+2_DP)&
        &+1.E+0_DP*a*(1.E+0_DP*a*((-6.4E+1_DP*a)-9.6E&
        &+1_DP)-6.4E+1_DP)+2.2399999999999998E+2_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*(1.6E+1_DP*a+1.6E+1_DP)*b+1.E+0_DP*a*(1.6E&
        &+1_DP-1.6E+1_DP*a)+9.6E+1_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.6E&
        &+1_DP*a-1.6E+1_DP)-3.2E+1_DP)+2.56E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.6E+1_DP-1.6E+1_DP*a)+3.2E+1_DP)-3.2E+1_DP)+6.72E&
        &+2_DP)+1.E+0_DP*a**2*(3.2E+1_DP-1.6E+1_DP*a**2)&
        &+4.96E+2_DP))/(2.56E+2_DP*s-2.56E+2_DP)
    CORR(2,ASYMP_TYPE_3) = 7.8125E-3_DP*(1.E+0_DP*z**2&
        &*(1.E+0_DP*z**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*a*b+a)*s-7.E&
        &+0_DP*a*b-7.E+0_DP*a)+1.6999999999999998E+1_DP*a&
        &*b+1.6999999999999998E+1_DP*a)-1.5E+1_DP*a*b-1.5E+1_DP*a)-1.E+0_DP*a*b-1.E+0_DP&
        &*a)+7.E+0_DP*a*b+7.E+0_DP*a)-2.E+0_DP*a*b-2.E+0_DP*a)*z**2&
        &+1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E&
        &+0_DP*b*(1.2E+1_DP*a*b+1.E+0_DP*a*(4.E+0_DP*a+3.2E+1_DP))+1.E&
        &+0_DP*a*(4.E+0_DP*a+2.E+1_DP))*s+1.E+0_DP*b*(1.E+0_DP*a&
        &*((-2.E+1_DP*a)-1.6E+2_DP)-6.E+1_DP*a*b)+1.E+0_DP*a*((-2.E&
        &+1_DP*a)-1.E+2_DP))+1.E+0_DP*b*(1.1199999999999999E+2_DP*a*b+1.E&
        &+0_DP*a*(4.8E+1_DP*a+3.12E+2_DP))+1.E+0_DP*a*(4.8E+1_DP*a+2.E&
        &+2_DP))+1.E+0_DP*b*(1.E+0_DP*a*((-6.4E&
        &+1_DP*a)-2.9600000000000004E+2_DP)-9.6E+1_DP*a*b)+1.E+0_DP*a*((-6.4E+1_DP*a)-2.E&
        &+2_DP))+1.E+0_DP*b*(3.2E+1_DP*a*b+1.E+0_DP*a*(3.2E&
        &+1_DP*a+1.1199999999999999E+2_DP))+1.E+0_DP*a*(3.2E+1_DP*a+8.E+1_DP)))+1.E+0_DP&
        &*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*a*(8.E+0_DP*a-5.599999999999999E+1_DP)-2.4E+1_DP*a*b)+1.E+0_DP&
        &*a*(1.E+0_DP*a*(8.E+0_DP*a+2.4E+1_DP)+1.6E+1_DP))+1.E+0_DP&
        &*a*(1.E+0_DP*a*(8.E+0_DP*a+1.6E+1_DP)+4.8E+1_DP))*s+1.E+0_DP&
        &*b*(1.E+0_DP*b*(7.2E+1_DP*a*b+1.E+0_DP*a*(1.68E+2_DP-2.4E&
        &+1_DP*a))+1.E+0_DP*a*(1.E+0_DP*a*((-2.4E+1_DP*a)-7.2E&
        &+1_DP)-4.8E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-2.4E+1_DP&
        &*a)-4.8E+1_DP)-1.44E+2_DP))+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*a*(1.6E&
        &+1_DP*a-1.92E+2_DP)-8.E+1_DP*a*b)+1.E+0_DP*a*(1.E+0_DP*a*(4.8E+1_DP&
        &*a+9.6E+1_DP)+1.6E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*(4.8E+1_DP&
        &*a+8.E+1_DP)+1.28E+2_DP))+1.E+0_DP*b*(1.E+0_DP*b*(3.2E+1_DP*a&
        &*b+8.E+1_DP*a)+1.E+0_DP*a*(1.E+0_DP*a*((-3.2E+1_DP*a)-4.8E&
        &+1_DP)+1.6E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-3.2E+1_DP&
        &*a)-4.8E+1_DP)-3.2E+1_DP))+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*a*(8.E+0_DP*a-8.E+0_DP)-8.E+0_DP*a*b)+1.E+0_DP&
        &*a*(1.E+0_DP*a*(8.E+0_DP-8.E+0_DP*a)+1.6E+1_DP))+1.E+0_DP*a&
        &*(1.E+0_DP*a*(1.E+0_DP*a*(8.E+0_DP*a-8.E+0_DP)-1.6E+1_DP)&
        &+1.6E+1_DP))+1.E+0_DP*a**2*(8.E+0_DP*a**2-1.6E+1_DP))*s+1.E+0_DP&
        &*b*(1.E+0_DP*b*(1.E+0_DP*b*(8.E+0_DP*a*b+1.E+0_DP*a*(8.E&
        &+0_DP-8.E+0_DP*a))+1.E+0_DP*a*(1.E+0_DP*a*(8.E+0_DP&
        &*a-8.E+0_DP)-1.6E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(8.E+0_DP-8.E&
        &+0_DP*a)+1.6E+1_DP)-1.6E+1_DP))+1.E+0_DP*a**2*(1.6E+1_DP-8.E+0_DP*a*&
        &*2))
    A_CORR( RC_E_RL )%ASYMP_TYPE=MIN( A_CORR( RC_E_RL )%ASYMP_TYPE,  ASYMP_TYPE_0 )

END ASSOCIATE 

ASSOCIATE(CORR=>A_CORR( RC_E_RR )%TERMS) 

    CORR(0,ASYMP_TYPE_P1) = 5.E-1_DP*((-1.E+0_DP*b)-1.E+0_DP)
    CORR(1,ASYMP_TYPE_P1) = (1.E+0_DP*(1.E+0_DP*(a-1.E&
        &+0_DP)*b+a-1.E+0_DP))/(2.E+0_DP*s-2.E+0_DP)
    CORR(2,ASYMP_TYPE_P1) = 5.E-1_DP*(1.E+0_DP*((-1.E&
        &+0_DP*a*b)-1.E+0_DP*a)*s+1.E+0_DP*a*b+a)

    CORR(0,ASYMP_TYPE_0) = 2.5E-1_DP*(1.E+0_DP*b&
        &*((-1.E+0_DP*b)-4.E+0_DP)-3.E+0_DP)
    CORR(1,ASYMP_TYPE_0) = (1.E+0_DP*(1.E+0_DP*s*(1.E&
        &+0_DP*(1.E+0_DP*(1.E+0_DP-1.E+0_DP*a)*b-1.E+0_DP*a+1.E+0_DP)*s&
        &+1.E+0_DP*(2.E+0_DP*a-2.E+0_DP)*b+2.E+0_DP*a-2.E+0_DP)*z**2&
        &+1.E+0_DP*b*(1.E+0_DP*(2.E+0_DP*a-2.E+0_DP)*b+1.E+0_DP*a&
        &*((-2.E+0_DP*a)-6.E+0_DP)-8.E+0_DP)+1.E+0_DP*a*((-2.E&
        &+0_DP*a)-8.E+0_DP)-6.E+0_DP))/(8.E+0_DP*s-8.E+0_DP)
    CORR(2,ASYMP_TYPE_0) = 2.5E-1_DP*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*a*b+a)*s-3.E+0_DP*a*b-3.E+0_DP*a)+2.E&
        &+0_DP*a*b+2.E+0_DP*a)*z**2+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a&
        &*(a+3.E+0_DP)-1.E+0_DP*a*b)+1.E+0_DP*a*(a+4.E+0_DP))*s+1.E&
        &+0_DP*b*(1.E+0_DP*a*b+1.E+0_DP*a*((-1.E+0_DP*a)-3.E+0_DP))+1.E&
        &+0_DP*a*((-1.E+0_DP*a)-4.E+0_DP))

    CORR(0,ASYMP_TYPE_1) = 1.25E-1_DP*(1.E+0_DP*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*b*((-2.E+0_DP*b)-6.E+0_DP)-4.E+0_DP)&
        &*s+1.E+0_DP*b*(4.E+0_DP*b+1.2E+1_DP)+8.E+0_DP)+1.E+0_DP&
        &*b*((-2.E+0_DP*b)-6.E+0_DP)-4.E+0_DP)*z**2+1.E+0_DP*b*(1.E+0_DP&
        &*b*((-1.E+0_DP*b)-3.E+0_DP)-7.E+0_DP)-5.E+0_DP)
    CORR(1,ASYMP_TYPE_1) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*s**2*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*(a-1.E+0_DP)*b&
        &+a-1.E+0_DP)*s+1.E+0_DP*(4.E+0_DP-4.E+0_DP*a)*b-4.E+0_DP*a+4.E&
        &+0_DP)+1.E+0_DP*(4.E+0_DP*a-4.E+0_DP)*b+4.E+0_DP*a-4.E+0_DP)*z*&
        &*2+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*(1.2E&
        &+1_DP*a-1.2E+1_DP)*b+1.E+0_DP*a*(4.E+0_DP*a+4.E+1_DP)-1.2E+1_DP)+1.E&
        &+0_DP*a*(4.E+0_DP*a+2.7999999999999997E+1_DP))*s+1.E+0_DP&
        &*b*(1.E+0_DP*(2.4E+1_DP-2.4E+1_DP*a)*b+1.E+0_DP*a*((-8.E&
        &+0_DP*a)-8.E+1_DP)+2.4E+1_DP)+1.E+0_DP*a*((-8.E&
        &+0_DP*a)-5.599999999999999E+1_DP))+1.E+0_DP*b*(1.E+0_DP*(1.6E+1_DP*a-1.6E+1_DP)&
        &*b+1.E+0_DP*a*(1.6E+1_DP*a+6.4E+1_DP)-4.8E+1_DP)+1.E+0_DP*a&
        &*(1.6E+1_DP*a+4.8E+1_DP)-3.2E+1_DP)+1.E+0_DP*b*(1.E+0_DP*b&
        &*(1.E+0_DP*(8.E+0_DP*a-8.E+0_DP)*b+1.E+0_DP*a*((-8.E&
        &+0_DP*a)-3.2E+1_DP)-2.4E+1_DP)+1.E+0_DP*a*(1.E+0_DP*a*(8.E+0_DP*a+3.2E&
        &+1_DP)+8.E+1_DP)-5.599999999999999E+1_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(8.E+0_DP*a+4.E+1_DP)+1.2E+2_DP)-4.E+1_DP))/(6.4E+1_DP*s-6.4E+1_DP)
    CORR(2,ASYMP_TYPE_1) = 6.25E-2_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*s**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*((-1.E+0_DP&
        &*a*b)-1.E+0_DP*a)*s+5.E+0_DP*a*b+5.E+0_DP*a)-8.E+0_DP*a*b-8.E+0_DP&
        &*a)+4.E+0_DP*a*b+4.E+0_DP*a)*z**2+1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a*((-2.E+0_DP*a)-2.E+1_DP)-2.E&
        &+0_DP*a*b)+1.E+0_DP*a*((-2.E+0_DP*a)-1.8E+1_DP))*s+1.E+0_DP&
        &*b*(6.E+0_DP*a*b+1.E+0_DP*a*(6.E+0_DP*a+6.E+1_DP))+1.E+0_DP&
        &*a*(6.E+0_DP*a+5.4E+1_DP))+1.E+0_DP*b*(1.E+0_DP*a&
        &*((-8.E+0_DP*a)-5.599999999999999E+1_DP)-8.E+0_DP*a*b)+1.E+0_DP*a&
        &*((-8.E+0_DP*a)-4.8E+1_DP))+1.E+0_DP*b*(4.E+0_DP*a*b+1.E+0_DP*a*(4.E&
        &+0_DP*a+1.6E+1_DP))+1.E+0_DP*a*(4.E+0_DP*a+1.2E+1_DP))+1.E&
        &+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*a*(2.E+0_DP*a&
        &+8.E+0_DP)-2.E+0_DP*a*b)+1.E+0_DP*a*(1.E+0_DP*a*((-2.E+0_DP&
        &*a)-8.E+0_DP)-2.E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-2.E+0_DP&
        &*a)-1.E+1_DP)-3.E+1_DP))*s+1.E+0_DP*b*(1.E+0_DP*b*(2.E+0_DP*a*b+1.E+0_DP&
        &*a*((-2.E+0_DP*a)-8.E+0_DP))+1.E+0_DP*a*(1.E+0_DP*a*(2.E+0_DP&
        &*a+8.E+0_DP)+2.E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*(2.E+0_DP&
        &*a+1.E+1_DP)+3.E+1_DP))

    CORR(0,ASYMP_TYPE_2) = 6.25E-2_DP*(1.E+0_DP*(1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*((-4.E&
        &+0_DP*b)-1.6E+1_DP)-4.2000000000000004E+1_DP)-3.E+1_DP)*s+1.E+0_DP*b*(1.E+0_DP&
        &*b*(8.E+0_DP*b+3.2E+1_DP)+8.400000000000001E+1_DP)+6.E&
        &+1_DP)+1.E+0_DP*b*(1.E+0_DP*b*((-4.E+0_DP&
        &*b)-1.6E+1_DP)-4.2000000000000004E+1_DP)-3.E+1_DP)*z**2+1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*b*((-1.E+0_DP*b)-4.E&
        &+0_DP)-1.E+1_DP)-2.7999999999999997E+1_DP)-2.1000000000000002E+1_DP)
    CORR(1,ASYMP_TYPE_2) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*z**2*(1.E+0_DP*s**3*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP&
        &*(1.E+0_DP*(1.E+0_DP-1.E+0_DP*a)*b-1.E+0_DP*a+1.E+0_DP)*s&
        &+1.E+0_DP*(6.E+0_DP*a-6.E+0_DP)*b+6.E+0_DP*a-6.E+0_DP)+1.E&
        &+0_DP*(1.2E+1_DP-1.2E+1_DP*a)*b-1.2E+1_DP*a+1.2E+1_DP)+1.E+0_DP&
        &*(8.E+0_DP*a-8.E+0_DP)*b+8.E+0_DP*a-8.E+0_DP)*z**2+1.E+0_DP*s&
        &*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b&
        &*(1.E+0_DP*(4.2000000000000004E+1_DP-4.2000000000000004E+1_DP*a)*b+1.E+0_DP&
        &*a*((-6.E+0_DP*a)-1.0200000000000001E+2_DP)+6.E+1_DP)+1.E+0_DP&
        &*a*((-6.E+0_DP*a)-6.E+1_DP)+1.8E+1_DP)*s+1.E+0_DP*b*(1.E&
        &+0_DP*(1.68E+2_DP*a-1.68E+2_DP)*b+1.E+0_DP*a*(2.4E+1_DP*a&
        &+4.08E+2_DP)-2.4E+2_DP)+1.E+0_DP*a*(2.4E+1_DP*a+2.4E+2_DP)-7.2E&
        &+1_DP)+1.E+0_DP*b*(1.E+0_DP&
        &*(2.1600000000000003E+2_DP-2.1600000000000003E+2_DP*a)*b+1.E+0_DP*a*((-7.2E+1_DP*a)-6.24E+2_DP)&
        &+4.08E+2_DP)+1.E+0_DP*a*((-7.2E+1_DP*a)-4.08E+2_DP)+1.92E+2_DP)+1.E&
        &+0_DP*b*(1.E+0_DP*(9.6E+1_DP*a-9.6E+1_DP)*b+1.E+0_DP*a*(9.6E&
        &+1_DP*a+4.3200000000000005E+2_DP)-3.36E+2_DP)+1.E+0_DP*a*(9.6E&
        &+1_DP*a+3.36E+2_DP)-2.4E+2_DP))+1.E+0_DP*s*(1.E+0_DP*(1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(1.68E+2_DP*a-1.68E+2_DP)*b+1.E&
        &+0_DP*a*(2.4E+1_DP-7.2E+1_DP*a)-5.28E+2_DP)+1.E+0_DP*a*(1.E&
        &+0_DP*a*((-2.4E+1_DP*a)-2.1600000000000003E&
        &+2_DP)-6.72E+2_DP)-2.4E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a*((-2.4E+1_DP&
        &*a)-1.44E+2_DP)-5.28E+2_DP)+1.2E+2_DP)*s+1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*(3.36E+2_DP-3.36E+2_DP*a)*b+1.E+0_DP*a*(1.44E+2_DP*a-4.8E&
        &+1_DP)+1.056E+3_DP)+1.E+0_DP*a*(1.E+0_DP*a*(4.8E&
        &+1_DP*a+4.3200000000000005E+2_DP)+1.3440000000000002E+3_DP)+4.8E+2_DP)+1.E+0_DP&
        &*a*(1.E+0_DP*a*(4.8E+1_DP*a+2.8800000000000003E&
        &+2_DP)+1.056E+3_DP)-2.4E+2_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*(1.92E+2_DP*a-1.92E+2_DP)*b+1.92E+2_DP*a-7.68E+2_DP)+1.E+0_DP*a*(1.E&
        &+0_DP*a*((-1.92E+2_DP*a)-7.68E+2_DP)-2.016E+3_DP)-2.016E&
        &+3_DP)+1.E+0_DP*a*(1.E+0_DP*a*((-1.92E+2_DP&
        &*a)-7.68E+2_DP)-2.016E+3_DP)-1.44E+3_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*(4.8E+1_DP*a-4.8E+1_DP)*b+1.E+0_DP*a*((-4.8E&
        &+1_DP*a)-1.44E+2_DP)-1.92E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a*(4.8E+1_DP*a&
        &+1.44E+2_DP)+2.8800000000000003E+2_DP)-4.8E+2_DP)+1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.E+0_DP*a*((-4.8E+1_DP&
        &*a)-1.44E+2_DP)-2.8800000000000003E+2_DP)-8.640000000000001E+2_DP)-1.3440000000000002E+3_DP)&
        &+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*((-4.8E+1_DP&
        &*a)-1.92E+2_DP)-4.8E+2_DP)-1.3440000000000002E+3_DP)-1.008E&
        &+3_DP))/(7.68E+2_DP*s-7.68E+2_DP)
    CORR(2,ASYMP_TYPE_2) = 1.0416666666666666E-2_DP*(1.E+0_DP*z&
        &**2*(1.E+0_DP*z**2*(1.E+0_DP*s**3*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*a*b+a)*s-7.E+0_DP*a*b-7.E&
        &+0_DP*a)+1.8E+1_DP*a*b+1.8E+1_DP*a)-2.E+1_DP*a*b-2.E+1_DP*a)&
        &+8.E+0_DP*a*b+8.E+0_DP*a)*z**2+1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP&
        &*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(9.E+0_DP*a*b+1.E+0_DP&
        &*a*(3.E+0_DP*a+4.8E+1_DP))+1.E+0_DP*a*(3.E+0_DP*a+3.9E+1_DP))&
        &*s+1.E+0_DP*b*(1.E+0_DP*a*((-1.5E+1_DP*a)-2.4E+2_DP)-4.5E+1_DP&
        &*a*b)+1.E+0_DP*a*((-1.5E+1_DP*a)-1.95E+2_DP))+1.E&
        &+0_DP*b*(8.400000000000001E+1_DP*a*b+1.E+0_DP*a*(3.6E&
        &+1_DP*a+4.3799999999999994E+2_DP))+1.E+0_DP*a*(3.6E+1_DP*a+3.54E+2_DP))+1.E&
        &+0_DP*b*(1.E+0_DP*a*((-4.8E+1_DP*a)-3.54E+2_DP)-7.2E+1_DP*a*b)&
        &+1.E+0_DP*a*((-4.8E+1_DP*a)-2.82E+2_DP))+1.E+0_DP*b*(2.4E+1_DP*a&
        &*b+1.E+0_DP*a*(2.4E+1_DP*a+1.0800000000000001E+2_DP))+1.E&
        &+0_DP*a*(2.4E+1_DP*a+8.400000000000001E+1_DP)))+1.E+0_DP*s*(1.E&
        &+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*a&
        &*(6.E+0_DP*a-3.E+1_DP)-1.8E+1_DP*a*b)+1.E+0_DP*a*(1.E+0_DP*a*(6.E&
        &+0_DP*a+5.4E+1_DP)+2.76E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*(6.E&
        &+0_DP*a+4.8E+1_DP)+2.8800000000000003E+2_DP))*s+1.E+0_DP*b*(1.E&
        &+0_DP*b*(5.4E+1_DP*a*b+1.E+0_DP*a*(9.E+1_DP-1.8E+1_DP*a))+1.E&
        &+0_DP*a*(1.E+0_DP*a*((-1.8E+1_DP&
        &*a)-1.6199999999999998E+2_DP)-8.28E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-1.8E&
        &+1_DP*a)-1.44E+2_DP)-8.640000000000001E+2_DP))+1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*a*(1.2E+1_DP*a-8.400000000000001E+1_DP)-6.E+1_DP*a*b)+1.E&
        &+0_DP*a*(1.E+0_DP*a*(3.6E+1_DP*a+2.0400000000000001E+2_DP)&
        &+8.04E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*(3.6E+1_DP*a+1.92E&
        &+2_DP)+8.28E+2_DP))+1.E+0_DP*b*(1.E+0_DP*b*(2.4E+1_DP*a*b+2.4E+1_DP&
        &*a)+1.E+0_DP*a*(1.E+0_DP*a*((-2.4E+1_DP*a)-9.6E+1_DP)-2.52E&
        &+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-2.4E+1_DP*a)-9.6E&
        &+1_DP)-2.52E+2_DP))+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*a*(6.E+0_DP*a+1.8E+1_DP)-6.E+0_DP*a*b)+1.E+0_DP*a*(1.E&
        &+0_DP*a*((-6.E+0_DP*a)-1.8E+1_DP)-3.6E+1_DP))+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.E+0_DP*a*(6.E+0_DP*a+1.8E+1_DP)+3.6E&
        &+1_DP)+1.0800000000000001E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(6.E+0_DP&
        &*a+2.4E+1_DP)+6.E+1_DP)+1.68E+2_DP))*s+1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*b*(6.E+0_DP*a*b+1.E+0_DP*a*((-6.E+0_DP&
        &*a)-1.8E+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*(6.E+0_DP*a+1.8E+1_DP)+3.6E&
        &+1_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*((-6.E&
        &+0_DP*a)-1.8E+1_DP)-3.6E+1_DP)-1.0800000000000001E+2_DP))+1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.E+0_DP*a*((-6.E+0_DP*a)-2.4E+1_DP)-6.E+1_DP)-1.68E+2_DP))

    CORR(0,ASYMP_TYPE_3) = 1.6276041666666666E-4_DP*(1.E+0_DP*z&
        &**2*(1.E+0_DP*z**2*(1.E+0_DP*(1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*(b+1.E+0_DP)*s-8.E+0_DP*b-8.E+0_DP)&
        &+2.7999999999999997E+1_DP*b+2.7999999999999997E&
        &+1_DP)-5.599999999999999E+1_DP*b-5.599999999999999E+1_DP)+7.E+1_DP*b+7.E&
        &+1_DP)-5.599999999999999E+1_DP*b-5.599999999999999E+1_DP)+2.7999999999999997E&
        &+1_DP*b+2.7999999999999997E+1_DP)-8.E+0_DP*b-8.E+0_DP)+b+1.E+0_DP)*z*&
        &*4+1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP&
        &*b*(1.E+0_DP*b*((-7.68E+2_DP&
        &*b)-3.072E+3_DP)-5.376000000000001E+3_DP)-3.072E+3_DP)*s+1.E+0_DP*b*(1.E+0_DP*b*(3.072E&
        &+3_DP*b+1.2287999999999999E+4_DP)+2.1504E+4_DP)+1.2287999999999999E&
        &+4_DP)+1.E+0_DP*b*(1.E+0_DP*b*((-4.608E+3_DP&
        &*b)-1.8432E+4_DP)-3.2256E+4_DP)-1.8432E+4_DP)+1.E+0_DP*b*(1.E+0_DP*b*(3.072E&
        &+3_DP*b+1.2287999999999999E+4_DP)+2.1504E+4_DP)+1.2287999999999999E&
        &+4_DP)+1.E+0_DP*b*(1.E+0_DP*b*((-7.68E&
        &+2_DP*b)-3.072E+3_DP)-5.376000000000001E+3_DP)-3.072E+3_DP)+1.E+0_DP*s*(1.E+0_DP*(1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*((-1.1520000000000001E&
        &+3_DP*b)-7.296E&
        &+3_DP)-2.4191999999999997E+4_DP)-7.833600000000001E+4_DP)-6.0288E+4_DP)*s+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(2.304E&
        &+3_DP*b+1.4592E+4_DP)+4.8383999999999994E+4_DP)&
        &+1.56672E+5_DP)+1.2057599999999999E+5_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*b*((-1.1520000000000001E+3_DP&
        &*b)-7.296E+3_DP)-2.4191999999999997E+4_DP)-7.833600000000001E+4_DP)-6.0288E+4_DP)+1.E+0_DP*b&
        &*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b&
        &*((-1.92E+2_DP*b)-1.3440000000000002E+3_DP)-4.224E&
        &+3_DP)-1.1135999999999999E+4_DP)-3.2448E+4_DP)-2.4384E+4_DP)
    CORR(1,ASYMP_TYPE_3) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*z**2*(1.E+0_DP*z**2*(1.E+0_DP*(1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*(1.E&
        &+0_DP*a*(4.E+0_DP-2.E+0_DP*a)-2.E+0_DP)*b+1.E+0_DP*a&
        &*(4.E+0_DP-2.E+0_DP*a)-2.E+0_DP)*s+1.E+0_DP*(1.E+0_DP*a*(1.2E&
        &+1_DP*a-2.4E+1_DP)+1.2E+1_DP)*b+1.E+0_DP*a*(1.2E+1_DP*a-2.4E&
        &+1_DP)+1.2E+1_DP)+1.E+0_DP*(1.E+0_DP*a*(5.4E+1_DP-2.7E+1_DP*a)-2.7E&
        &+1_DP)*b+1.E+0_DP*a*(5.4E+1_DP-2.7E+1_DP*a)-2.7E+1_DP)+1.E&
        &+0_DP*(1.E+0_DP*a*(2.7999999999999997E+1_DP&
        &*a-5.599999999999999E+1_DP)+2.7999999999999997E+1_DP)*b+1.E+0_DP&
        &*a*(2.7999999999999997E+1_DP*a-5.599999999999999E+1_DP)+2.7999999999999997E&
        &+1_DP)+1.E+0_DP*(1.E+0_DP*a&
        &*(2.7999999999999997E+1_DP-1.3999999999999999E+1_DP*a)-1.3999999999999999E+1_DP)*b+1.E&
        &+0_DP*a*(2.7999999999999997E+1_DP-1.3999999999999999E+1_DP&
        &*a)-1.3999999999999999E+1_DP)+1.E+0_DP*(1.E+0_DP*a*(4.E+0_DP*a-8.E+0_DP)+4.E+0_DP)&
        &*b+1.E+0_DP*a*(4.E+0_DP*a-8.E+0_DP)+4.E+0_DP)+1.E+0_DP*(1.E&
        &+0_DP*a*(2.E+0_DP-1.E+0_DP*a)-1.E+0_DP)*b+1.E+0_DP*a&
        &*(2.E+0_DP-1.E+0_DP*a)-1.E+0_DP)*z**2+1.E+0_DP*s**2*(1.E+0_DP*s*(1.E&
        &+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*(1.E&
        &+0_DP*a*(4.4000000000000006E+1_DP&
        &*a-8.800000000000001E+1_DP)+4.4000000000000006E+1_DP)*b+1.E+0_DP*a*(1.E+0_DP*a*(4.E&
        &+0_DP*a+9.199999999999999E+1_DP)-1.6399999999999998E&
        &+2_DP)+6.799999999999999E+1_DP)+1.E+0_DP*a*(1.E+0_DP*a*(4.E+0_DP*a+4.8E&
        &+1_DP)-7.6E+1_DP)+2.4E+1_DP)*s+1.E+0_DP*b*(1.E+0_DP*(1.E+0_DP&
        &*a*(5.28E+2_DP-2.64E+2_DP*a)-2.64E+2_DP)*b+1.E+0_DP*a*(1.E+0_DP*a&
        &*((-2.4E+1_DP*a)-5.52E+2_DP)+9.840000000000001E+2_DP)-4.08E+2_DP)&
        &+1.E+0_DP*a*(1.E+0_DP*a*((-2.4E+1_DP*a)-2.8800000000000003E&
        &+2_DP)+4.56E+2_DP)-1.44E+2_DP)+1.E+0_DP*b*(1.E+0_DP*(1.E&
        &+0_DP*a*(5.760000000000001E+2_DP*a-1.1520000000000001E&
        &+3_DP)+5.760000000000001E+2_DP)*b+1.E+0_DP*a*(1.E+0_DP*a*(9.6E+1_DP&
        &*a+1.296E+3_DP)-2.4E+3_DP)+1.008E+3_DP)+1.E+0_DP*a*(1.E+0_DP*a*(9.6E&
        &+1_DP*a+7.2E+2_DP)-1.248E+3_DP)+4.3200000000000005E+2_DP)+1.E&
        &+0_DP*b*(1.E+0_DP*(1.E+0_DP*a*(1.0880000000000001E&
        &+3_DP-5.44E+2_DP*a)-5.44E+2_DP)*b+1.E+0_DP*a*(1.E+0_DP&
        &*a*((-2.2399999999999998E+2_DP*a)-1.504E+3_DP)+3.04E+3_DP)-1.3119999999999998E&
        &+3_DP)+1.E+0_DP*a*(1.E+0_DP*a*((-2.2399999999999998E+2_DP&
        &*a)-9.6E+2_DP)+1.9519999999999998E+3_DP)-7.68E+2_DP)+1.E+0_DP*b&
        &*(1.E+0_DP*(1.E+0_DP*a*(1.92E+2_DP*a-3.84E+2_DP)+1.92E+2_DP)*b+1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.92E+2_DP*a+7.68E+2_DP)-1.728E&
        &+3_DP)+7.68E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.92E+2_DP&
        &*a+5.760000000000001E+2_DP)-1.3440000000000002E+3_DP)+5.760000000000001E&
        &+2_DP))+1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b&
        &*(1.E+0_DP*b*(1.E+0_DP*(1.E+0_DP*a*(4.08E+2_DP*a-8.16E&
        &+2_DP)+4.08E+2_DP)*b+1.E+0_DP*a*(1.E+0_DP*a*(1.68E+2_DP*a&
        &+1.224E+3_DP)-1.608E+3_DP)+2.1600000000000003E+2_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.E+0_DP*a*(2.4E+1_DP*a+3.12E&
        &+2_DP)+1.416E+3_DP)-1.7519999999999997E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(2.4E&
        &+1_DP*a+1.44E+2_DP)+6.E+2_DP)-9.6E+2_DP)+1.92E+2_DP)*s+1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(1.E+0_DP&
        &*a*(3.2639999999999997E+3_DP-1.6319999999999998E+3_DP*a)-1.6319999999999998E+3_DP)*b+1.E&
        &+0_DP*a*(1.E+0_DP*a*((-6.72E+2_DP*a)-4.8960000000000004E&
        &+3_DP)+6.432E+3_DP)-8.640000000000001E+2_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.E+0_DP*a*((-9.6E+1_DP*a)-1.248E+3_DP)-5.664E&
        &+3_DP)+7.008E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a&
        &*((-9.6E+1_DP*a)-5.760000000000001E+2_DP)-2.4E+3_DP)+3.84E+3_DP)-7.68E+2_DP)&
        &+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(1.E+0_DP*a*(2.784E&
        &+3_DP*a-5.568E+3_DP)+2.784E+3_DP)*b+1.E+0_DP*a*(1.E+0_DP*a*(1.44E&
        &+3_DP*a+8.832000000000001E+3_DP)-1.392E+4_DP)+3.648E+3_DP)+1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(4.8E+2_DP*a+3.072E&
        &+3_DP)+1.1328E+4_DP)-1.3440000000000002E+4_DP)-1.44E+3_DP)+1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.E+0_DP*a*(4.8E+2_DP*a+1.6319999999999998E&
        &+3_DP)+5.28E+3_DP)-5.088E+3_DP)-2.304E+3_DP)+1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*(1.E+0_DP*a*(4.608E+3_DP-2.304E+3_DP*a)-2.304E+3_DP)&
        &*b+1.E+0_DP*a*(1.E+0_DP*a*((-1.5360000000000001E&
        &+3_DP*a)-7.872E+3_DP)+1.4975999999999998E+4_DP)-5.568E+3_DP)+1.E+0_DP*a&
        &*(1.E+0_DP*a*(1.E+0_DP*a*((-7.68E+2_DP*a)-3.648E&
        &+3_DP)-1.1328E+4_DP)+1.2864E+4_DP)+2.88E+3_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*((-7.68E+2_DP*a)-2.112E+3_DP)-5.76E+3_DP)+2.496E&
        &+3_DP)+6.144E+3_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(1.E+0_DP&
        &*a*(7.68E+2_DP*a-1.5360000000000001E+3_DP)+7.68E+2_DP)*b+1.E+0_DP&
        &*a*(1.E+0_DP*a*(7.68E+2_DP*a+3.072E+3_DP)-6.912E+3_DP)&
        &+3.072E+3_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(7.68E+2_DP&
        &*a+3.072E+3_DP)+3.84E+3_DP)-1.4592E+4_DP)+5.376000000000001E+3_DP)&
        &+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(7.68E+2_DP*a&
        &+2.304E+3_DP)+1.5360000000000001E+3_DP)-9.216E+3_DP)+3.072E+3_DP)+1.E+0_DP&
        &*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*(1.E+0_DP*a*(1.056E+3_DP*a-2.112E+3_DP)+1.056E+3_DP)*b+1.E&
        &+0_DP*a*(1.E+0_DP*a*(2.016E+3_DP-6.72E+2_DP&
        &*a)-7.392000000000001E+3_DP)+6.048E+3_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*(2.8800000000000003E+2_DP*a-1.248E+3_DP)+1.248E&
        &+3_DP)-1.4496E+4_DP)+1.4208E+4_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*(9.6E+1_DP*a+4.8E+2_DP)-4.8E+2_DP)+4.8E+2_DP)-7.296E&
        &+3_DP)+6.72E+3_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*(9.6E+1_DP*a+1.92E+2_DP)+9.6E+1_DP)+1.92E+2_DP)&
        &+1.92E+3_DP)-2.496E+3_DP)*s+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*(1.E+0_DP*a*(4.224E+3_DP-2.112E+3_DP*a)-2.112E+3_DP)*b+1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.3440000000000002E+3_DP&
        &*a-4.032E+3_DP)+1.4784000000000003E+4_DP)-1.2096E+4_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.E+0_DP*a*(2.496E+3_DP-5.760000000000001E+2_DP&
        &*a)-2.496E+3_DP)+2.8991999999999996E+4_DP)-2.8415999999999997E+4_DP)+1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*((-1.92E+2_DP&
        &*a)-9.6E+2_DP)+9.6E+2_DP)-9.6E+2_DP)&
        &+1.4592E+4_DP)-1.3440000000000002E+4_DP)+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*((-1.92E+2_DP*a)-3.84E+2_DP)-1.92E+2_DP)-3.84E+2_DP)-3.84E&
        &+3_DP)+4.992E+3_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*(1.E+0_DP*a*(1.1520000000000001E+3_DP&
        &*a-2.304E+3_DP)+1.1520000000000001E+3_DP)*b+1.E+0_DP*a*(1.E+0_DP&
        &*a*(2.6880000000000004E+3_DP-3.84E+2_DP*a)-9.6E+3_DP)+7.296E+3_DP)+1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.E+0_DP*a*((-3.84E+2_DP*a)-1.92E&
        &+3_DP)-7.68E+2_DP)-2.112E+4_DP)+2.4191999999999997E+4_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.1520000000000001E&
        &+3_DP*a+1.1520000000000001E+3_DP)+1.5360000000000001E&
        &+3_DP)+2.1888000000000002E+4_DP)-1.04064E+5_DP)+7.833600000000001E+4_DP)+1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.1520000000000001E&
        &+3_DP*a+1.5360000000000001E+3_DP)+3.072E+3_DP)&
        &+2.4191999999999997E+4_DP)-9.024E+4_DP)+6.0288E+4_DP)+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*b*(1.E+0_DP*(1.E+0_DP*a*(1.92E+2_DP*a-3.84E&
        &+2_DP)+1.92E+2_DP)*b+1.E+0_DP*a*(1.E+0_DP*a*(1.92E&
        &+2_DP-1.92E+2_DP*a)-1.3440000000000002E+3_DP)+1.3440000000000002E+3_DP)+1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.92E&
        &+2_DP*a-1.92E+2_DP)-5.760000000000001E+2_DP)-3.648E+3_DP)+4.224E+3_DP)+1.E+0_DP*a&
        &*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.92E+2_DP-1.92E&
        &+2_DP*a)+5.760000000000001E&
        &+2_DP)-5.760000000000001E+2_DP)-1.1135999999999999E+4_DP)+1.1135999999999999E+4_DP)+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.92E&
        &+2_DP*a-1.92E+2_DP)-5.760000000000001E+2_DP)+5.760000000000001E&
        &+2_DP)+5.760000000000001E+2_DP)-3.3024000000000003E+4_DP)+3.2448E+4_DP)+1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.E+0_DP*a**2*(1.92E+2_DP*a&
        &**2-5.760000000000001E+2_DP)+5.760000000000001E+2_DP)-2.4575999999999998E&
        &+4_DP)+2.4384E+4_DP))/(1.E+0_DP*(6.144E+3_DP*a-6.144E+3_DP)*s-6.144E&
        &+3_DP*a+6.144E+3_DP)
    CORR(2,ASYMP_TYPE_3) = (1.E+0_DP*(1.E+0_DP*z**2*(1.E+0_DP&
        &*z**2*(1.E+0_DP*z**2*(1.E+0_DP*(1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*a*(7.E+0_DP-7.E+0_DP*a)*b+1.E&
        &+0_DP*a*(7.E+0_DP-7.E+0_DP*a))*s+1.E+0_DP*a*(6.3E+1_DP&
        &*a-6.3E+1_DP)*b+1.E+0_DP*a*(6.3E+1_DP*a-6.3E+1_DP))+1.E&
        &+0_DP*a*(2.2000000000000003E+2_DP-2.2000000000000003E+2_DP*a)*b+1.E&
        &+0_DP*a*(2.2000000000000003E+2_DP-2.2000000000000003E+2_DP*a))+1.E&
        &+0_DP*a*(3.64E+2_DP*a-3.64E+2_DP)*b+1.E+0_DP*a*(3.64E&
        &+2_DP*a-3.64E+2_DP))+1.E+0_DP*a*(2.58E+2_DP-2.58E+2_DP*a)*b+1.E+0_DP&
        &*a*(2.58E+2_DP-2.58E+2_DP*a))+1.E+0_DP*a*(2.E+0_DP*a-2.E+0_DP)&
        &*b+1.E+0_DP*a*(2.E+0_DP*a-2.E+0_DP))+1.E+0_DP&
        &*a*(8.400000000000001E+1_DP*a-8.400000000000001E+1_DP)*b+1.E+0_DP&
        &*a*(8.400000000000001E+1_DP*a-8.400000000000001E+1_DP))+1.E+0_DP*a&
        &*(3.6E+1_DP-3.6E+1_DP*a)*b+1.E+0_DP*a*(3.6E+1_DP-3.6E+1_DP*a))+1.E&
        &+0_DP*a*(9.E+0_DP*a-9.E+0_DP)*b+1.E+0_DP*a*(9.E+0_DP*a-9.E&
        &+0_DP))+1.E+0_DP*a*(1.E+0_DP-1.E+0_DP*a)*b+1.E+0_DP*a*(1.E&
        &+0_DP-1.E+0_DP*a))*z**2+1.E+0_DP*s**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E&
        &+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a&
        &*(1.6E+2_DP-1.6E+2_DP*a)*b+1.E+0_DP*a*(1.E+0_DP*a*((-3.2E+1_DP&
        &*a)-6.4E+2_DP)+6.72E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*((-3.2E&
        &+1_DP*a)-4.8E+2_DP)+5.12E+2_DP))*s+1.E+0_DP*b*(1.E+0_DP&
        &*a*(1.1200000000000002E+3_DP*a-1.1200000000000002E+3_DP)*b+1.E+0_DP*a*(1.E&
        &+0_DP*a*(2.2399999999999998E+2_DP*a+4.48E+3_DP)-4.704E+3_DP))&
        &+1.E+0_DP*a*(1.E+0_DP*a*(2.2399999999999998E+2_DP*a&
        &+3.36E+3_DP)-3.584E+3_DP))+1.E+0_DP*b*(1.E+0_DP*a*(3.072E+3_DP-3.072E+3_DP&
        &*a)*b+1.E+0_DP*a*(1.E+0_DP*a*((-7.68E&
        &+2_DP*a)-1.2287999999999999E+4_DP)+1.3055999999999998E+4_DP))+1.E+0_DP*a*(1.E+0_DP&
        &*a*((-7.68E+2_DP*a)-9.216E+3_DP)+9.984E+3_DP))+1.E+0_DP*b*(1.E&
        &+0_DP*a*(4.16E+3_DP*a-4.16E+3_DP)*b+1.E+0_DP*a*(1.E+0_DP*a&
        &*(1.6E+3_DP*a+1.664E+4_DP)-1.824E+4_DP))+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.6E+3_DP*a+1.248E+4_DP)-1.4079999999999998E+4_DP))+1.E+0_DP&
        &*b*(1.E+0_DP*a*(2.816E+3_DP-2.816E+3_DP*a)*b+1.E+0_DP*a*(1.E&
        &+0_DP*a*((-1.7919999999999997E+3_DP&
        &*a)-1.1264E+4_DP)+1.3055999999999998E+4_DP))+1.E+0_DP*a*(1.E+0_DP*a&
        &*((-1.7919999999999997E+3_DP*a)-8.448E+3_DP)+1.024E+4_DP))+1.E+0_DP*b*(1.E+0_DP&
        &*a*(7.68E+2_DP*a-7.68E+2_DP)*b+1.E+0_DP*a*(1.E+0_DP*a*(7.68E&
        &+2_DP*a+3.072E+3_DP)-3.84E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(7.68E&
        &+2_DP*a+2.304E+3_DP)-3.072E+3_DP)))+1.E+0_DP*s*(1.E+0_DP*s&
        &*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*a*(9.6E+1_DP-9.6E+1_DP*a)*b+1.E+0_DP*a*(1.E&
        &+0_DP*a*((-2.8800000000000003E+2_DP*a)-1.1520000000000001E+3_DP)+1.44E&
        &+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a&
        &*((-9.6E+1_DP*a)-1.1520000000000001E+3_DP)-8.064E+3_DP)+9.312E+3_DP))+1.E+0_DP*a&
        &*(1.E+0_DP*a*(1.E+0_DP*a*((-9.6E+1_DP&
        &*a)-8.640000000000001E+2_DP)-7.008E+3_DP)+7.968E+3_DP))*s+1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*a*(4.8E+2_DP*a-4.8E+2_DP)*b+1.E+0_DP*a*(1.E+0_DP*a*(1.44E&
        &+3_DP*a+5.76E+3_DP)-7.2E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*(4.8E+2_DP*a+5.76E+3_DP)+4.032E+4_DP)-4.656E+4_DP))&
        &+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(4.8E+2_DP*a+4.32E&
        &+3_DP)+3.504E+4_DP)-3.984E+4_DP))+1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*a*(1.5360000000000001E+3_DP-1.5360000000000001E+3_DP*a)*b+1.E&
        &+0_DP*a*(1.E+0_DP*a*((-3.072E+3_DP*a)-1.3248E&
        &+4_DP)+1.6319999999999998E+4_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*((-1.5360000000000001E+3_DP*a)-1.2864E+4_DP)-7.6608E&
        &+4_DP)+9.100799999999999E+4_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*((-1.5360000000000001E+3_DP*a)-9.792000000000001E&
        &+3_DP)-6.4896E+4_DP)+7.622399999999999E+4_DP))+1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*a*(2.6880000000000004E+3_DP*a-2.6880000000000004E+3_DP)*b+1.E+0_DP*a&
        &*(1.E+0_DP*a*(3.456E+3_DP*a+1.6704000000000002E+4_DP)-2.016E&
        &+4_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(2.6880000000000004E&
        &+3_DP*a+1.5552000000000002E+4_DP)&
        &+6.854399999999999E+4_DP)-8.6784E+4_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*(2.6880000000000004E+3_DP*a+1.2096E+4_DP)+5.4528E+4_DP)-6.9312E+4_DP))+1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*a*(2.304E+3_DP-2.304E+3_DP*a)*b&
        &+1.E+0_DP*a*(1.E+0_DP*a*((-2.304E+3_DP&
        &*a)-1.1135999999999999E+4_DP)+1.3440000000000002E+4_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*((-2.304E+3_DP*a)-1.0368E+4_DP)-2.8031999999999996E&
        &+4_DP)+4.224E+4_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a&
        &*((-2.304E+3_DP*a)-8.064E+3_DP)-1.92E+4_DP)+3.1104E+4_DP))+1.E+0_DP*b&
        &*(1.E+0_DP*b*(1.E+0_DP*a*(7.68E+2_DP*a-7.68E+2_DP)*b+1.E+0_DP&
        &*a*(1.E+0_DP*a*(7.68E+2_DP*a+3.072E+3_DP)-3.84E+3_DP))+1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.E+0_DP*a*(7.68E+2_DP*a+3.072E&
        &+3_DP)+3.84E+3_DP)-9.216E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a&
        &*(7.68E+2_DP*a+2.304E+3_DP)+1.5360000000000001E+3_DP)-6.144E&
        &+3_DP))+1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b&
        &*(1.E+0_DP*b*(1.E+0_DP*a*(9.6E+2_DP-9.6E+2_DP*a)*b+1.E+0_DP&
        &*a*(1.E+0_DP*a*(5.760000000000001E+2_DP*a-2.496E+3_DP)+1.92E&
        &+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.728E+3_DP-1.92E&
        &+2_DP*a)+1.728E+3_DP)-3.2639999999999997E+3_DP))+1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*((-1.92E+2_DP&
        &*a)-9.6E+2_DP)-2.496E+3_DP)-2.1696E+4_DP)+2.5344E+4_DP))+1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.E+0_DP*a*((-1.92E+2_DP&
        &*a)-7.68E+2_DP)-3.648E+3_DP)-2.496E+4_DP)+2.9568E+4_DP))*s+1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*b*(1.E+0_DP*a*(2.88E+3_DP*a-2.88E+3_DP)*b+1.E+0_DP&
        &*a*(1.E+0_DP*a*(7.487999999999999E+3_DP-1.728E+3_DP&
        &*a)-5.76E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a&
        &*(5.760000000000001E+2_DP*a-5.184E+3_DP)-5.184E+3_DP)+9.792000000000001E+3_DP))&
        &+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*(5.760000000000001E+2_DP*a+2.88E+3_DP)+7.487999999999999E&
        &+3_DP)+6.5088E+4_DP)-7.6032E+4_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*(5.760000000000001E+2_DP*a+2.304E+3_DP)&
        &+1.0944000000000001E+4_DP)+7.488E+4_DP)-8.870399999999999E+4_DP))+1.E+0_DP*b*(1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*a*(3.072E+3_DP-3.072E+3_DP*a)&
        &*b+1.E+0_DP*a*(1.E+0_DP*a*(1.5360000000000001E+3_DP&
        &*a-7.68E+3_DP)+6.144E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(5.376000000000001E&
        &+3_DP*a+4.224E+3_DP)-9.6E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.E+0_DP*a*((-1.5360000000000001E&
        &+3_DP*a)-3.072E+3_DP)-6.527999999999999E+3_DP)-6.528E+4_DP)+7.641600000000001E&
        &+4_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*((-1.5360000000000001E+3_DP*a)-3.072E+3_DP)-1.0368E&
        &+4_DP)-7.4112E+4_DP)+8.908799999999999E+4_DP))+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*a*(1.1520000000000001E+3_DP*a-1.1520000000000001E&
        &+3_DP)*b+1.E+0_DP*a*(1.E+0_DP*a*(2.6880000000000004E&
        &+3_DP-3.84E+2_DP*a)-2.304E+3_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*((-3.84E+2_DP*a)-1.92E+3_DP)-7.68E+2_DP)+3.072E+3_DP))+1.E+0_DP&
        &*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.1520000000000001E&
        &+3_DP*a+1.1520000000000001E+3_DP)&
        &+1.5360000000000001E+3_DP)+2.1888000000000002E+4_DP)-2.5728E+4_DP))+1.E+0_DP*a*(1.E+0_DP*a&
        &*(1.E+0_DP*a*(1.E+0_DP*a*(1.1520000000000001E+3_DP&
        &*a+1.5360000000000001E+3_DP)+3.072E+3_DP)+2.4191999999999997E&
        &+4_DP)-2.9952E+4_DP))+1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP&
        &*b*(1.E+0_DP*a*(1.92E+2_DP-1.92E+2_DP*a)*b+1.E+0_DP*a**2&
        &*(1.92E+2_DP*a-1.92E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP&
        &*a*(1.92E+2_DP-1.92E+2_DP*a)&
        &+5.760000000000001E+2_DP)-5.760000000000001E+2_DP))+1.E+0_DP*a**2*(1.E+0_DP*a*(1.E+0_DP*a&
        &*(1.92E+2_DP*a-1.92E+2_DP)-5.760000000000001E+2_DP)&
        &+5.760000000000001E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E&
        &+0_DP*a*(1.92E+2_DP-1.92E+2_DP&
        &*a)+5.760000000000001E+2_DP)-5.760000000000001E+2_DP)-5.760000000000001E+2_DP)&
        &+5.760000000000001E+2_DP))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*&
        &*2*(5.760000000000001E+2_DP-1.92E+2_DP*a**2)-5.760000000000001E+2_DP)+1.92E+2_DP))&
        &*s+1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*b*(1.E&
        &+0_DP*a*(1.92E+2_DP*a-1.92E+2_DP)*b+1.E+0_DP*a**2*(1.92E&
        &+2_DP-1.92E+2_DP*a))+1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.92E&
        &+2_DP*a-1.92E+2_DP)-5.760000000000001E+2_DP)+5.760000000000001E&
        &+2_DP))+1.E+0_DP*a**2*(1.E+0_DP*a*(1.E+0_DP*a*(1.92E+2_DP-1.92E&
        &+2_DP*a)+5.760000000000001E+2_DP)-5.760000000000001E+2_DP))+1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a&
        &*(1.92E+2_DP*a-1.92E+2_DP)-5.760000000000001E+2_DP)&
        &+5.760000000000001E+2_DP)+5.760000000000001E+2_DP)-5.760000000000001E+2_DP))+1.E&
        &+0_DP*a*(1.E+0_DP*a*(1.E+0_DP*a**2*(1.92E+2_DP*a&
        &**2-5.760000000000001E+2_DP)+5.760000000000001E+2_DP)-1.92E&
        &+2_DP)))/(6.144E+3_DP*a-6.144E+3_DP)
    A_CORR( RC_E_RR )%ASYMP_TYPE=MIN( A_CORR( RC_E_RR )%ASYMP_TYPE,  ASYMP_TYPE_P1) 

END ASSOCIATE 

ASSOCIATE(CORR=>A_CORR( RC_H_LP )%TERMS) 




    CORR(0,ASYMP_TYPE_2) = 5.E-1_DP*r*(1.E+0_DP&
        &*((-1.E+0_DP*b)-1.E+0_DP)*s+b+1.E+0_DP)
    CORR(1,ASYMP_TYPE_2) = 5.E-1_DP*(1.E+0_DP*((-1.E&
        &+0_DP*a)-1.E+0_DP)*b-1.E+0_DP*a-1.E+0_DP)*r
    CORR(2,ASYMP_TYPE_2) = 5.E-1_DP*r*(1.E+0_DP*s*(1.E&
        &+0_DP*(1.E+0_DP*a*b+a)*s-2.E+0_DP*a*b-2.E+0_DP*a)+1.E+0_DP*a*b+a)

    CORR(0,ASYMP_TYPE_3) = 2.5E-1_DP*r*(1.E+0_DP*(1.E&
        &+0_DP*b*((-1.E+0_DP*b)-6.E+0_DP)-5.E+0_DP)*s+1.E+0_DP*b*(b+6.E+0_DP)+5.E&
        &+0_DP)
    CORR(1,ASYMP_TYPE_3) = 1.25E-1_DP*r*(1.E+0_DP*s&
        &*(1.E+0_DP*(1.E+0_DP*(a+1.E+0_DP)*b+a+1.E+0_DP)*s+1.E+0_DP&
        &*((-2.E+0_DP*a)-2.E+0_DP)*b-2.E+0_DP*a-2.E+0_DP)*z**2+1.E+0_DP*b&
        &*(1.E+0_DP*((-2.E+0_DP*a)-2.E+0_DP)*b+1.E+0_DP*a*(2.E&
        &+0_DP*a-2.E+0_DP)-1.2E+1_DP)+2.E+0_DP*a**2-1.E+1_DP)
    CORR(2,ASYMP_TYPE_3) = 2.5E-1_DP*r*(1.E+0_DP*s*(1.E&
        &+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*((-1.E+0_DP*a*b)-1.E+0_DP*a)*s&
        &+4.E+0_DP*a*b+4.E+0_DP*a)-5.E+0_DP*a*b-5.E+0_DP*a)+2.E+0_DP*a&
        &*b+2.E+0_DP*a)*z**2+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a&
        &*b+1.E+0_DP*a*(1.E+0_DP-1.E+0_DP*a))-1.E+0_DP*a**2)*s+1.E&
        &+0_DP*b*(1.E+0_DP*a*(2.E+0_DP*a-2.E+0_DP)-2.E+0_DP*a*b)+2.E+0_DP&
        &*a**2)+1.E+0_DP*b*(1.E+0_DP*a*b+1.E+0_DP*a*(1.E&
        &+0_DP-1.E+0_DP*a))-1.E+0_DP*a**2)
    A_CORR( RC_H_LP )%ASYMP_TYPE=MIN( A_CORR( RC_H_LP )%ASYMP_TYPE,  ASYMP_TYPE_2 )

END ASSOCIATE 

ASSOCIATE(CORR=>A_CORR( RC_H_LR )%TERMS) 



    CORR(0,ASYMP_TYPE_1) = 5.E-1_DP*r*(1.E+0_DP*(b&
        &+1.E+0_DP)*s-1.E+0_DP*b-1.E+0_DP)
    CORR(1,ASYMP_TYPE_1) = 5.E-1_DP*(1.E+0_DP*(1.E&
        &+0_DP-1.E+0_DP*a)*b-1.E+0_DP*a+1.E+0_DP)*r
    CORR(2,ASYMP_TYPE_1) = 5.E-1_DP*r*(1.E+0_DP*s*(1.E&
        &+0_DP*(1.E+0_DP*a*b+a)*s-2.E+0_DP*a*b-2.E+0_DP*a)+1.E+0_DP*a*b+a)

    CORR(0,ASYMP_TYPE_2) = 2.5E-1_DP*r*(1.E+0_DP*(1.E+0_DP&
        &*b*(b+4.E+0_DP)+3.E+0_DP)*s+1.E+0_DP*b*((-1.E+0_DP*b)-4.E+0_DP)-3.E&
        &+0_DP)
    CORR(1,ASYMP_TYPE_2) = 1.25E-1_DP*r*(1.E+0_DP*s&
        &*(1.E+0_DP*(1.E+0_DP*(a-1.E+0_DP)*b+a-1.E+0_DP)*s+1.E+0_DP&
        &*(2.E+0_DP-2.E+0_DP*a)*b-2.E+0_DP*a+2.E+0_DP)*z**2+1.E+0_DP*b*(1.E&
        &+0_DP*(2.E+0_DP-2.E+0_DP*a)*b+1.E+0_DP*a*(2.E+0_DP*a+6.E&
        &+0_DP)+8.E+0_DP)+1.E+0_DP*a*(2.E+0_DP*a+8.E+0_DP)+6.E+0_DP)
    CORR(2,ASYMP_TYPE_2) = 2.5E-1_DP*r*(1.E+0_DP*s*(1.E&
        &+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*((-1.E+0_DP*a*b)-1.E+0_DP*a)*s&
        &+4.E+0_DP*a*b+4.E+0_DP*a)-5.E+0_DP*a*b-5.E+0_DP*a)+2.E+0_DP*a&
        &*b+2.E+0_DP*a)*z**2+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*a&
        &*b+1.E+0_DP*a*((-1.E+0_DP*a)-3.E+0_DP))+1.E+0_DP*a&
        &*((-1.E+0_DP*a)-4.E+0_DP))*s+1.E+0_DP*b*(1.E+0_DP*a*(2.E+0_DP&
        &*a+6.E+0_DP)-2.E+0_DP*a*b)+1.E+0_DP*a*(2.E+0_DP*a+8.E+0_DP))+1.E&
        &+0_DP*b*(1.E+0_DP*a*b+1.E+0_DP*a*((-1.E+0_DP*a)-3.E+0_DP))+1.E&
        &+0_DP*a*((-1.E+0_DP*a)-4.E+0_DP))

    CORR(0,ASYMP_TYPE_3) = 1.25E-1_DP*r*(1.E+0_DP*(1.E&
        &+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(2.E+0_DP*b+6.E&
        &+0_DP)+4.E+0_DP)*s+1.E+0_DP*b*((-6.E+0_DP*b)-1.8E+1_DP)-1.2E&
        &+1_DP)+1.E+0_DP*b*(6.E+0_DP*b+1.8E+1_DP)+1.2E+1_DP)+1.E+0_DP&
        &*b*((-2.E+0_DP*b)-6.E+0_DP)-4.E+0_DP)*z**2+1.E+0_DP*(1.E+0_DP*b&
        &*(1.E+0_DP*b*(b+7.E+0_DP)+2.2999999999999998E&
        &+1_DP)+1.6999999999999998E+1_DP)*s+1.E+0_DP*b*(1.E+0_DP*b*((-1.E&
        &+0_DP*b)-7.E+0_DP)-2.2999999999999998E+1_DP)-1.6999999999999998E+1_DP)
    CORR(1,ASYMP_TYPE_3) = 1.5625E-2_DP*r*(1.E+0_DP*z*&
        &*2*(1.E+0_DP*s**2*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*(1.E+0_DP-1.E&
        &+0_DP*a)*b-1.E+0_DP*a+1.E+0_DP)*s+1.E+0_DP*(4.E+0_DP*a-4.E&
        &+0_DP)*b+4.E+0_DP*a-4.E+0_DP)+1.E+0_DP*(4.E+0_DP-4.E+0_DP&
        &*a)*b-4.E+0_DP*a+4.E+0_DP)*z**2+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP&
        &*b*(1.E+0_DP*(1.2E+1_DP-1.2E+1_DP*a)*b+1.E+0_DP*a*((-4.E&
        &+0_DP*a)-2.4E+1_DP)-4.E+0_DP)+1.E+0_DP*a*((-4.E+0_DP&
        &*a)-1.2E+1_DP)-1.6E+1_DP)*s+1.E+0_DP*b*(1.E+0_DP*(2.4E+1_DP*a-2.4E+1_DP)&
        &*b+1.E+0_DP*a*(8.E+0_DP*a+4.8E+1_DP)+8.E+0_DP)+1.E+0_DP*a*(8.E&
        &+0_DP*a+2.4E+1_DP)+3.2E+1_DP)+1.E+0_DP*b*(1.E+0_DP&
        &*(1.6E+1_DP-1.6E+1_DP*a)*b+1.E+0_DP*a*((-1.6E+1_DP*a)-6.4E+1_DP)&
        &+4.8E+1_DP)+1.E+0_DP*a*((-1.6E+1_DP*a)-4.8E+1_DP)+3.2E+1_DP)+1.E&
        &+0_DP*b*(1.E+0_DP*b*(1.E+0_DP*(8.E+0_DP-8.E+0_DP*a)*b+8.E+0_DP*a&
        &**2+5.599999999999999E+1_DP)+1.E+0_DP*a*(1.6E+1_DP-8.E+0_DP*a&
        &**2)+1.84E+2_DP)+1.E+0_DP*a*(1.E+0_DP*a*((-8.E+0_DP&
        &*a)-8.E+0_DP)+8.E+0_DP)+1.3599999999999998E+2_DP)
    CORR(2,ASYMP_TYPE_3) = 6.25E-2_DP*r*(1.E+0_DP*z**2&
        &*(1.E+0_DP*s**2*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP&
        &*(1.E+0_DP*a*b+a)*s-6.E+0_DP*a*b-6.E+0_DP*a)+1.3E+1_DP*a*b&
        &+1.3E+1_DP*a)-1.2E+1_DP*a*b-1.2E+1_DP*a)+4.E+0_DP*a*b+4.E+0_DP*a)*z*&
        &*2+1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP&
        &*b*(2.E+0_DP*a*b+1.E+0_DP*a*(2.E+0_DP*a+1.2E+1_DP))+1.E+0_DP&
        &*a*(2.E+0_DP*a+1.E+1_DP))*s+1.E+0_DP*b*(1.E+0_DP*a&
        &*((-8.E+0_DP*a)-4.8E+1_DP)-8.E+0_DP*a*b)+1.E+0_DP*a*((-8.E+0_DP&
        &*a)-4.E+1_DP))+1.E+0_DP*b*(1.3999999999999999E+1_DP*a*b+1.E&
        &+0_DP*a*(1.3999999999999999E+1_DP*a+7.6E+1_DP))+1.E+0_DP&
        &*a*(1.3999999999999999E+1_DP*a+6.2E+1_DP))+1.E+0_DP*b*(1.E+0_DP*a&
        &*((-1.2E+1_DP*a)-5.599999999999999E+1_DP)-1.2E+1_DP*a*b)+1.E+0_DP*a&
        &*((-1.2E+1_DP*a)-4.4000000000000006E+1_DP))+1.E+0_DP*b*(4.E+0_DP*a&
        &*b+1.E+0_DP*a*(4.E+0_DP*a+1.6E+1_DP))+1.E+0_DP*a*(4.E+0_DP&
        &*a+1.2E+1_DP))+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*b*(1.E+0_DP*b*(2.E&
        &+0_DP*a*b-2.E+0_DP*a**2)+1.E+0_DP*a*(2.E+0_DP*a**2-4.E&
        &+0_DP))+1.E+0_DP*a*(1.E+0_DP*a*(2.E+0_DP*a+2.E+0_DP)-2.E+0_DP))&
        &*s+1.E+0_DP*b*(1.E+0_DP*b*(4.E+0_DP*a**2-4.E+0_DP*a*b)+1.E+0_DP&
        &*a*(8.E+0_DP-4.E+0_DP*a**2))+1.E+0_DP*a*(1.E+0_DP*a&
        &*((-4.E+0_DP*a)-4.E+0_DP)+4.E+0_DP))+1.E+0_DP*b*(1.E+0_DP*b*(2.E+0_DP&
        &*a*b-2.E+0_DP*a**2)+1.E+0_DP*a*(2.E+0_DP*a**2-4.E+0_DP))+1.E&
        &+0_DP*a*(1.E+0_DP*a*(2.E+0_DP*a+2.E+0_DP)-2.E+0_DP))
    A_CORR( RC_H_LR )%ASYMP_TYPE=MIN( A_CORR( RC_H_LR )%ASYMP_TYPE,  ASYMP_TYPE_1 )

END ASSOCIATE 

ASSOCIATE(CORR=>A_CORR( RC_H_LT )%TERMS) 




    CORR(0,ASYMP_TYPE_2) = 5.E-1_DP*r*(s-1.E+0_DP)
    CORR(1,ASYMP_TYPE_2) = -(1.E+0_DP*r)/(2.E+0_DP*s-2.E+0_DP)

    CORR(0,ASYMP_TYPE_3) = 2.5E-1_DP*r*(9.E+0_DP*s-9.E+0_DP)
    CORR(1,ASYMP_TYPE_3) = (1.E+0_DP*r*(1.E+0_DP*s*(s-2.E&
        &+0_DP)*z**2-1.8E+1_DP))/(8.E+0_DP*s-8.E+0_DP)
    A_CORR( RC_H_LT )%ASYMP_TYPE=MIN( A_CORR( RC_H_LT )%ASYMP_TYPE,  ASYMP_TYPE_2 )

END ASSOCIATE 

ASSOCIATE(CORR=>A_CORR( RC_H_RL )%TERMS) 



    CORR(0,ASYMP_TYPE_1) = 5.E-1_DP*r*(s-1.E+0_DP)
    CORR(1,ASYMP_TYPE_1) = -(1.E+0_DP*r)/(2.E+0_DP*s-2.E+0_DP)

    CORR(0,ASYMP_TYPE_2) = 2.5E-1_DP*r*(5.E+0_DP*s-5.E+0_DP)
    CORR(1,ASYMP_TYPE_2) = (1.E+0_DP*r*(1.E+0_DP*s*(s-2.E&
        &+0_DP)*z**2-1.E+1_DP))/(8.E+0_DP*s-8.E+0_DP)

    CORR(0,ASYMP_TYPE_3) = (1.E+0_DP*r*(1.E+0_DP*(1.E+0_DP&
        &*s*(1.E+0_DP*s*(1.E+0_DP*(2.E+0_DP*b-4.E+0_DP)*s-6.E+0_DP&
        &*b+1.2E+1_DP)+6.E+0_DP*b-1.2E+1_DP)-2.E+0_DP*b+4.E+0_DP)*z*&
        &*2+1.E+0_DP*(3.9E+1_DP*b-3.9E+1_DP)*s-3.9E+1_DP*b&
        &+3.9E+1_DP))/(8.E+0_DP*b-8.E+0_DP)
    CORR(1,ASYMP_TYPE_3) = (1.E+0_DP*r*(1.E+0_DP*z**2*(1.E&
        &+0_DP*s**2*(1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*(1.E+0_DP-1.E+0_DP&
        &*a)*b+a-1.E+0_DP)*s+1.E+0_DP*(4.E+0_DP*a-4.E+0_DP)*b-4.E&
        &+0_DP*a+4.E+0_DP)+1.E+0_DP*(4.E+0_DP-4.E+0_DP*a)*b+4.E&
        &+0_DP*a-4.E+0_DP)*z**2+1.E+0_DP*s*(1.E+0_DP*(1.E+0_DP*(4.E+1_DP&
        &*a-4.E+1_DP)*b-2.4E+1_DP*a+2.4E+1_DP)*s+1.E+0_DP*(8.E+1_DP-8.E+1_DP&
        &*a)*b+4.8E+1_DP*a-4.8E+1_DP)+1.E+0_DP*(1.6E+1_DP-3.2E+1_DP&
        &*a)*b+4.8E+1_DP*a-3.2E+1_DP)+1.E+0_DP*(3.12E+2_DP-3.12E+2_DP&
        &*a)*b+3.12E+2_DP*a-3.12E+2_DP))/(1.E+0_DP*(1.E+0_DP&
        &*(6.4E+1_DP*a-6.4E+1_DP)*b-6.4E+1_DP*a+6.4E+1_DP)*s+1.E+0_DP&
        &*(6.4E+1_DP-6.4E+1_DP*a)*b+6.4E+1_DP*a-6.4E+1_DP)
    CORR(2,ASYMP_TYPE_3) = (1.E+0_DP*r*(1.E+0_DP*s&
        &*(2.E+0_DP*a-1.E+0_DP*a*s)-1.E+0_DP*a)*z**2)/(4.E+0_DP*a-4.E+0_DP)
    A_CORR( RC_H_RL )%ASYMP_TYPE=MIN( A_CORR( RC_H_RL )%ASYMP_TYPE,  ASYMP_TYPE_1 )

END ASSOCIATE 
